Product Description

 Top Next

For more information on using Backup4all please refer to our user manual (PDF format): weblink Backup4all User Guide

Backup4all is an award-winning backup software for Windows. Backup4all protects your valuable data from partial or total loss by automating backup tasks, password protecting and compressing it to save storage space. Using Backup4all you can easily backup to any local or network drive, backup to FTP (with support for SSL encryption, proxy server, passive mode), backup to CD/DVD, or other removable media (such as USB drives).

Backup4all can backup open/locked files (if the files are located on local partitions on Windows XP/2003) and it can perform full, differential, incremental and mirror backups. When defining a backup you can also set file filters and schedule the backup for automatic execution. Once a backup is performed, you can see what files have been changed since the last backup or you can read the statistics about the next backup execution. You can use the context menu from the tree to run standard actions associated with the file type.

There is also the option to run predefined backups, such as My Documents, My Pictures or Outlook Express emails and settings.

Backup4all has ZIP64 support (can create backups over 2 GB) and creates standard zip files, meaning that you can access it with any zip compatible utility. Backup4all also allows you to encrypt your backup using AES encryption (128/192/256-bit).

Backup4all keeps track of file versions. You can easily restore any version of files or a whole folder. You can filter files to be restored.

Backup4all tests the backup files automatically to ensure the backup is safe and correctly executed (uses CRC32). You can also enable email notifications to receive an email in case of success/error/warning.

Backup4all works with any drive letter, including mapped network drives and UNC paths. It comes with its own built-in CD/DVD burning support. However, if you prefer, you can use UDF format.

Backup4all runs on 95/98/Me/NT/2000/2003/XP/Vista and offers multi language support (over 17 language packs available).

Related Topics:

Features Summary

Installation

System Requirements


What Edition to Choose?

 Top Previous Next

There are three editions available: Lite, Standard and Professional.

Backup4all Lite edition implements the basic functionalities of a backup application:

· Easy file and folder selection
· File filtering
· Multiple backup job configurations
· Intuitive interface
· Disk spanning
· Backup open files (XP/2003/Vista, NTFS)
· Predefined backups (My Documents, My Pictures, Outlook Express, Backup4all Configurations)
· Backup statistics
· Backup summary
· Mirror backup type

Backup4all Standard edition has all the features of Backup4all Lite plus:

· Full backup type
· Differential backup type
· Built in CD and DVD support
· Schedule unattended backups
· One Touch Backup
· Sound notification
· Run action before/after backup
· Create shortcut for backup job/group
· Zip password

Backup4all Professional edition has all the features of Backup4all Standard, plus:

· Incremental backup type
· Email notifications
· Backup to FTP
· Test FTP backups using XCRC (is supported by server)
· AES encryption (128-bit, 192-bit and 256-bit)
· Run backup at system shutdown
· Delete sources after successful backup
· Delete empty directories after backup

See Feature Matrix for a more detailed comparison between Lite, Standard and Professional editions.

Related Topics:

Feature Matrix

Features Summary


System Requirements

To install Backup4all you need Windows 95/98/Me/NT 4.0/2000/XP/Server 2003 or Windows Vista and at least 20 megabytes of free disk space. Installing additional language files may increase the space requirements.

Because the application uses zip compression, additional disk space is needed for the temporary directory. The amount of free space depends on the size of files to backup.

Note: Backup4all can backup open files only if installed on Windows XP, Windows 2003 Server or Windows Vista and if the files are on NTFS partitions. Backup4all works on Windows 95/98/Me/NT 4.0/2000 too but this feature will not be available on these systems.

Related topics:

Installation


Installation

Install

To install Backup4all on a computer you need to have administrative rights. The installation process does not take much time. All you need to do is to follow the instructions of the Backup4all Setup Wizard. There is no need to reboot at the end of the setup, you can run the program right after it is installed on your machine.

If you have already installed an older version of Backup4all, you can install the new version on top of the older one, no need to uninstall it (the installer will recognize if the program is running and ask if you wish to close it in order to continue). You might need to close Backup4all manually if it is in a middle of an operation.

Note: If you have version 2.x (or previous) installed, you can install version 3.x without uninstalling the other one. Backup4all 3 will install and run separately, and will give you the option to import your backup jobs/groups from the previous versions.

When you start the installation process you will be prompted to choose a language for the setup wizard. Later during the setup you can check to install other language files too. If you install multiple language files, Backup4all will use the one selected as the default one. After installation, to switch between them, go to Backup4all's menu, select Tools->Options->Language.

Steps during installation:

1) Select setup language - you need to choose from the drop-down box a language for the setup wizard
2) Setup welcome message - press Next to continue
3) License agreement - shows the Backup4all EULA. After you read and accept it, check the I accept the agreement option and Next to continue.
4) Destination location - gives you the option to select a folder where Backup4all will be installed. By default it creates an entry in the Program Files directory.
5) Start menu folder - lets you select where to place shortcuts in the Start Menu folder
6) Select default settings - lets you select if you want to have the settings (and backup jobs) kept different for each users (Current User) or shared for all users (All Users). Also it allows to override the location of the default destination and folder where settings will be kept.
7) Select additional tasks
i) Create a desktop icon - checked by default, places a shortcut on desktop
ii) Associate Backup4all 3 with the ".bkc" extension - checked by default, will associate the .bkc files with Backup4all (".bkc" are catalogs created by Backup4all after each backup)
iii) Start on Windows startup - if checked Backup4all will load each time Windows starts
iv) Create a Quick Launch icon - checked by default, places an icon in the Quick Launch toolbar
v) Start 'One Touch Backup' Agent
vi) Allow restricted users to use the CD\DVD writer devices - if checked it will give access to users with restricted rights to select CD/DVD as destination
vii) Start the Volume Shadow Service - checked by default, the VSS is needed by Backup4all to perform open files backup (usually this service is started by Windows, so if this option is checked Backup4all will verify if is started and if not it will start it)
7) Select default backup folder - select a folder where backups will be stored by default
8) Blank Scheduler Password - option to allow blank passwords when scheduling
9) Select languages for the interface - you can check to multiple languages for Backup4all's interface
10) Select default interface language - if multiple languages were selected, you need to select a default one
11) A summary is displayed and in the last window click on Install to start the installation.

Uninstall

To uninstall Backup4all, first you need to close the application. Then go to the Backup4all application group (from the Windows Start->Programs-><%APP_NAME_VS%> menu and click Uninstall).

You can also uninstall Backup4all using the Add/Remove Programs option from Start- >Settings->Control Panel.

Related Topics:

System Requirements


Command Line Parameters

Installing Backup4all with command line parameters

Backup4all can be installed with various command line parameters that are useful when an unattended installation is needed.

Syntax

b4asetup.exe [switches]

Switches can be any combination of the following parameters:

/SILENT - Instructs Setup to be silent. When Setup is silent the wizard and the background window are not displayed but the installation progress window is. Everything else is normal so for example error messages during installation are displayed. If a restart is necessary and the /NORESTART command isn't used (see below) and Setup is silent, it will display a "Reboot now?" message box.

/VERYSILENT - Instructs Setup to be very silent. When a setup is very silent the installation progress window is not displayed and if a restart is necessary it will reboot without asking. However the error messages during installation are displayed.

/SUPPRESSMSGBOXES - Instructs Setup to suppress message boxes. Only has an effect when combined with /SILENT and /VERYSILENT.

/NOCANCEL - Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with /SILENT or /VERYSILENT.

/DIR="x:\dirname" - Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.

/GROUP="folder name" - Overrides the default folder name displayed on the Select Start Menu Folder wizard page.

/LANG="language" - Specifies the language to use for the installation. When a valid /LANG parameter is used, the Select Language dialog will be suppressed.

/CURRENTUSER=[YES|NO] - Specifies if the settings for Backup4all will be used for the current user only (YES) or for all users (NO)

/SETTINGSFOLDER="DEFAULT|<PATH>" - Specifies the path of the folder where program's settings will be kept. If DEFAULT is selected, the path will be "C:\Documents and Settings\<CURRENT USER NAME>\Application Data\Softland\Backup4all 3\" (same as if <PATH> would be empty). Otherwise if a full path is entered that will be where the settings folder will be kept.

/TASKS = "comma separated list of task names" - Specifies a list of tasks that should be initially selected or deselected. To deselect a task, prefix its name with a "!" character. Only the specified tasks (and their children) will be selected; the rest will be deselected. Use the /MERGETASKS parameter instead if you want to keep the default set of tasks and only select/deselect some of them.

Task names:

· desktopicon - Create a desktop icon
· associate - Associate Backup4all with the .bkc file extension
· autostart - Start on Windows startup
· quicklaunchicon - Create a Quick Launch icon
· startotbagent - Start 'One Touch Backup' Agent
· addburnright - Allow restricted users to use the CD\DVD writer devices
· startVSS - Start the Volume Shadow Service (Needed for open file backup)

/MERGETASKS="comma separated list of task names" - Like the /TASKS parameter, except the specified tasks will be merged with the set of tasks that would have otherwise been selected by default.

/DefaultBackupDest="x:\dirname" - Overrides the default directory name displayed on the Default Backup Folder wizard page. A fully qualified pathname must be specified.

/Languages="language1-language2-..." - Specifies the languages that will be installed. Language codes available in the current version: ITA, CHS, CHT, CSY, DAN, DEU, ELL, ESP, FRA, ITA, JPN, NL, NO, PLK, PTB, ROM, RUS, SV, TRK.

/DefaultLang="language" - Specifies the default language. Language codes available in the current version: ITA, CHS, CHT, CSY, DAN, DEU, ELL, ESP, FRA, ITA, JPN, NL, NO, PLK, PTB, ROM, RUS, SV, TRK

/RegisterName="registration name" - Backup4all registration name

/RegisterKey="license key" - Backup4all Registration key

/NoInstallIfExists - Instructs setup to check if the "Backup4all" is already installed, and if it is, does not start the installation

Uninstalling Backup4all with command line parameters

The uninstaller has also some parameters for silent uninstall.

Syntax

unins000.exe [switches]

Switches can be any combination of the following parameters:

/SILENT - Instructs uninstaller to be silent during uninstallation. When Setup is silent the wizard and the background window are not displayed but the uninstallation progress window is. Everything else is normal so for example error messages during uninstallation are displayed.

/VERYSILENT - Instructs uninstaller to be very silent during uninstallation. When a setup is very silent the uninstallation progress window is not displayed. However the error messages during uninstallation are displayed.

/SUPPRESSMSGBOXES - Instructs uninstaller to suppress message boxes. Only has an effect when combined with /SILENT and /VERYSILENT.


Notice to Backup4all 2 Users

Backup4all 3 brings new features and enhancements improving its overall functionality:

· Backup to FTP. You can now backup your files to remote locations using the FTP service (with SSL support, active/passive transfer modes, firewall support).
· Email notifications. You can configure Backup4all to send custom emails after a finished backup with success, error, warning notifications. Additional options allow you to attach the backup log file and send the email to several addresses.
· AES encryption. Backup4all supports 128-bit, 192-bit and 256-bit AES encryption. These numbers reflect the encryption key size used to encrypt the data, thus a higher key size provides stronger encryption.
· Backup locked or open files. Backup4all uses the Volume Shadow Copy service that allows you to back up local open files from NTFS partitions in Windows XP/2003/Vista. Now you can backup your emails and settings without closing Microsoft Outlook, Outlook Express or other email clients.
· Predefined backups enhanced. You can now easily define a backup job for Outlook Express emails and settings from the predefined backups list.
· Delete sources after successful backup. Backup4all can delete the source files after a backup successfully completed. The source files will not be deleted if there were errors or warnings.
· Delete empty directories. After a finished backup, Backup4all can delete empty directories.
· Store local catalogs. The backup catalog is now stored both locally and remotely for backups executed to removable drives or remote destinations.
· New scheduler (runs as a service). The scheduler now uses Windows Task Scheduler thus giving more flexibility to automating the backup task.
· CD/DVD burning enhanced. Backup4all now has two built-in CD/DVD burning engines included, in order to give the option to choose which solution fits better.
· Independent spanned backups. If you have a large backup that spans over several removable media (CD/DVD, floppy) each spanned backup can be independently restored. Thus, if one of the spanned backups is corrupted you can still restore the other files. Also, after each CD/DVD written the backup test is performed (if the test backup option is enabled).
· Improved design. We've modified some of the design elements for Backup4all (menu, buttons, icons). Now the user has the ability to: toggle toolbar buttons hints and captions, change visualization modes for Normal/Windows/Scheduler startup, change background color.
· Custom file locations. You can change now the location for the temporary, initialization (.ini), log and catalog file folder (.bkc).

You can install Backup4all 3 without uninstalling Backup4all 2.x. After the installation, Backup4all 3 will give you the possibility to import the backup jobs/groups that you have defined in Backup4all 2.x without additional re-configuration. For more details on how to import backup jobs/groups go see the Import help section.

Related Topics:

What Edition to Choose?

Features Summary

Feature Matrix

Main window - Import


Features Summary

Intuitive interface

With the help of the file tree, you can see all files included in the backup and the new files that will be stored at next backup execution. You can sort and search this file tree. You can start the application at Windows startup or minimize it to the system tray.

Flexibility

Backup4all is very flexible, allowing you to run almost any backup operation you might require.

Manage multiple backup jobs

You can define multiple backups and save them for future use. On the main form, you have an overview of all defined backups organized in groups. You can create shortcuts to any backup job and execute it with a double click from your desktop or other location. Backup4all comes with several predefined backup jobs: My Documents, My Pictures, Outlook Express and Backup4all Configurations.

Email notifications

You can configure Backup4all to send custom emails after a finished backup with success, error, warning notifications. Additional options allow you to attach the backup log file and send the email to several addresses.

Backup destination

You can store the backup in a local folder, on another computer in the same LAN, on media such as: CD-R, CD-RW, DVD+R, DVD-R, DVD+RW, DVD-RW, on USB drives or other removable media.

You can also backup your files to remote locations using the FTP service (with SSL support, active/passive transfer modes, firewall support).

Backup directly to CD and DVD

Backup4all comes with its own built in CD/DVD burning support. Just set the destination to the CD or DVD burner and execute the backup job. If you prefer, you can still use UDF format to burn your CDs and DVDs.

Backup4all also has the possibility to erase CD-RW/DVD-RW media.

AES encryption

Backup4all supports 128-bit, 192-bit and 256-bit AES encryption. These numbers reflect the encryption key size used to encrypt the data, thus a higher key size provides stronger encryption.

Backup locked or open files

Backup4all uses the Volume Shadow Copy service that allows you to back up local open files from NTFS partitions in Windows XP/2003/Vista. Now you can backup your emails and settings without closing Microsoft Outlook, Outlook Express or other email clients.

Create backup shortcut

You can create a "shortcut" of a backup job or backup group to a desired location. Whenever you will double click that shortcut, the associated backup will start running.

Statistics

You can actually see the number of files that will be processed at next backup (very useful when you have a large number of files). Other information refers to the size and date of the executed backups and the available free space on storage destination.

Summary

Textual description of all configurations made to a backup job.

New backup wizard

Provides step-by-step instructions to create a new backup job.

Easy file and folder selection

You can browse a folder tree to select individual files and folders as source of the backup or you can include or exclude them individually.

Backup types

Backup4all performs four backup types: full backup, differential backup, incremental backup and mirror backup.

Backup4all can also delete the source files (after a backup successfully completed) and empty directories.

File filters

Powerful filtering engine with lots of options (filter by attribute, size, date, name and type). You can build filters using a combination of restrictions and you can define separate filters for inclusion and exclusion.

Built in scheduler

You can easily set up a powerful scheduler using the available scheduler configurations to make unattended backups.

Extra actions

Perform extra actions before and/or after the backup execution.

Test backup

The application tests the backups (using CRC32). This ensures that the files have been backed up properly and the backup is safe. You can also test the backup integrity at a later time from the application main menu.

When backing up to removable media, after each media item written the backup test is performed (for spanned backups).

When backing up to FTP, the XCRC command can be used (if supported by server). This speeds up the testing as Backup4all will verify the backup based on the CRC information received from server.

Standard zip compression

Backup4all creates standard zip files. This means that your data is not at the mercy of the utility itself; you can access it with any zip compatible utility.

Customized zip names

You can customize name prefixes for the zip archives, which store your backup versions. Backup4all also supports file/folder paths longer than 260 characters (turn off file parsing).

Password protection

You can protect your zip files by setting a password for each backup.

Snapshots

The mirror backup type makes an exact copy of selected files and folders.

Disk spanning

Automated support for splitting your backup between many removable disks or even on the same media. You can specify the maximum size of the zip archives.

When performing a mirror backup and using disk spanning you can choose not to split the files. This is an useful option because you can copy your music/movies to CD or DVD and not have them trimmed when the CD or DVD is full.

Multi-thread

Backup4all allows you to start more backups at the same time, to execute a whole group of backups at once, showing the progress of each backup.

Logs

The operations performed by Backup4all are logged. You can change the location of the log file if you want to store it in a different place.

Command line

There is a command line version of Backup4all available. You can use the "Backup4all Scheduler" to schedule backups.

Restore wizard

Restore backed up data step-by-step. Allows you to choose the version of files which will be restored and filter them to restore only the files that are needed.

Restore

You can quickly restore any file version, the latest version of the files or a whole folder from the backup job.

If you have a large backup that spans over several removable media (CD/DVD, floppy) each spanned backup can be independently restored. Thus, if one of the spanned backups is corrupted you can still restore the other files.

Compatibility

Restore can also be performed via any standard zip software, giving you more flexibility, if you need to restore on a different computer (if the backup was created using independent splits, see this section on how to restore correctly using 3rd party zip utilities).

One touch backup

Some USB enclosures have a button to start the execution of an associated program. If you have such a device, you can configure Backup4all to execute a backup job or a backup group when this button is pressed.

Play custom sounds

Backup4all can play custom success/warning/error sounds at the end of the backup.

File warnings

File warnings like access denied, locked files, etc. are displayed to the user during backup execution if the user chooses so. These warnings are also written to the log file. Scheduled backups do not show these warnings even when this option is set. Default is checked.

Backup catalog

Backup4all stores a summary snapshot of the file information into a backup catalog file (.bkc) each time a backup job is run. For every file backed up, the snapshot contains the file name, size and attributes as well as the date and time of creation, modification and access. The backup catalog is stored both locally and remotely (for backups to removable media or remote locations).

Related Topics:

What Edition to Choose?

Feature Matrix


Feature Matrix

Backup4all comes in three* editions: Lite, Standard and Professional.

Professional is the full edition with all features enabled, while Standard and Lite are the limited-functionality editions.

Below you can find a comparison of the features available in each edition.

Interface |  |  |
 | Lite | Standard | Professional
Start application at Windows startup | Yes | Yes | Yes
Minimize/close application to system tray | Yes | Yes | Yes
Browsable file and folder tree of the backup sources | Yes | Yes | Yes
Add sources with drag-drop | Yes | Yes | Yes
Browsable file and folder tree of the backup contents | Yes | Yes | Yes
File finder in Explore view (by name) | Yes | Yes | Yes
Sort files in Explore view (by name, size or date) | Yes | Yes | Yes
Multiple selection in Explore view | Yes | Yes | Yes
Backup statistics | Yes | Yes | Yes
Available space in destination on Statistics view | Yes | Yes | Yes
Backup summary | Yes | Yes | Yes
Manage multiple backup configurations | Yes | Yes | Yes
Group backup configurations | Yes | Yes | Yes
Create shortcut to predefined backup jobs |  | Yes | Yes
Predefined backups (My Documents, My Pictures, Outlook Express, Backup4all Configurations) | Yes | Yes | Yes
Resizable windows. Store position and size | Yes | Yes | Yes
Resizable columns. Store position, size and visibility | Yes | Yes | Yes
Toggle toolbar buttons hints and captions | New | New | New
Visualization modes for application startup | New | New | New
Change background color option | New | New | New
"Show errors in tray" option | New | New | New
Backup |  |  |
 | Lite | Standard | Professional
Backup open files (locked or in use) | New | New | New
Backup wizard | Yes | Yes | Yes
Browsable file and folder selection | Yes | Yes | Yes
Select individual files and folders to be backed up | Yes | Yes | Yes
Inclusion and exclusion filters for files | Yes | Yes | Yes
Override filters | Yes | Yes | Yes
AES encryption (128-bit, 192-bit and 256-bit) |  |  | New
Email notifications on success, errors, warnings |  |  | New
Built in scheduler |  | Yes | Yes
Run program/action before and/or after backup |  | Yes | Yes
Run program/action only once |  | Yes | Yes
Run at system shutdown |  |  | New
Clear backup action with parameters |  | Yes | Yes
Use local catalogs | New | New | New
Play sound on success, warning, error |  | Yes | Yes
Assign volume labels for removable media | Yes | Yes | Yes
Assign label for each backup version | Yes | Yes | Yes
Set backup thread priority | Yes | Yes | Yes
One Touch Backup feature |  | Yes | Yes
Independent spanned backups | New | New | New
Delete empty directories after backup |  |  | New
Create backup log | Yes | Yes | Yes
Create backup catalog file | Yes | Yes | Yes
Backup types |  |  |
 | Lite | Standard | Professional
Mirror backup | Yes | Yes | Yes
Full backup |  | Yes | Yes
Store multiple versions for full backup type |  | Yes | Yes
Differential backup |  | Yes | Yes
Store multiple versions for differential backup type |  | Yes | Yes
Incremental backup |  |  | Yes
Store multiple versions for incremental backup type |  |  | Yes
Limit number of backup versions |  | Yes | Yes
Backup format |  |  |
 | Lite | Standard | Professional
Compress backup files (zip format) |  | Yes | Yes
Support for zip64 technology |  | Yes | Yes
Choose zip compression level |  | Yes | Yes
Password protected zip files |  | Yes | Yes
Customize zip name prefix |  | Yes | Yes
Split zip files |  | Yes | Yes
One to one copy (mirror backup) | Yes | Yes | Yes
Custom file locations (for temporary, initialization, log, catalog file folder) | New | New | New
Backup media |  |  |
 | Lite | Standard | Professional
Backup from/to local hard drives | Yes | Yes | Yes
Backup from/to network drives |  | Yes | Yes
Backup from/to USB drives | Yes | Yes | Yes
Backup to FTP (SSL support, active/passive transfer modes, firewall support) |  |  | New
Backup from/to ZIP drives | Yes | Yes | Yes
Backup from/to CD and DVD (using UDF drivers) |  | Yes | Yes
Backup from/to CD and DVD (using built in burner) |  | Yes | Yes
Backup execution |  |  |
 | Lite | Standard | Professional
Show backup progress | Yes | Yes | Yes
Execute all backup configurations in a group | Yes | Yes | Yes
Perform unattended backups using built in schedulers |  | Yes | Yes
Command line | Yes | Yes | Yes
Test |  |  |
 | Lite | Standard | Professional
Test backups (uses CRC32) | Yes | Yes | Yes
Test FTP backups (uses XCRC) |  |  | New
Test after backup option | Yes | Yes | Yes
Set test thread priority | Yes | Yes | Yes
Backup test performed after writing each disc |  | New | New
Delete Sources after successful backup |  |  | New
Create test log | Yes | Yes | Yes
Restore |  |  |
 | Lite | Standard | Professional
Restore wizard | Yes | Yes | Yes
Restore specific backup increments |  | Yes | Yes
Filter files to restore | Yes | Yes | Yes
Restore to different folder | Yes | Yes | Yes
Restore selected file | Yes | Yes | Yes
Restore selected version of a file |  | Yes | Yes
Restore selected folder | Yes | Yes | Yes
Restore preview | Yes | Yes | Yes
Set restore thread priority | Yes | Yes | Yes
Create restore log | Yes | Yes | Yes
Languages |  |  |
 | Lite | Standard | Professional
Multi-language support | Yes | Yes | Yes
Legend |  |  |

"New" means the feature is new and is available only from Backup4all 3

"Yes" means the feature was already available in previous Backup4all versions

Related Topics:

Features Summary

What Edition to Choose?


Commands

Toolbar

The toolbar contains a selection of the most important Backup4all functions.

commandsb1 New - starts the New Backup Wizard

commandsb2 Open - creates a new backup job from the opened ".bkc" or ".ini" file

commandsb3 Copy - duplicates the current selected backup job

commandsb4 Delete - removes the current selected backup job

commandsb5 Properties - opens a dialog to edit the backup job configuration

commandsb6 Explore - switches to explore view to see files and folders for selected backup job

commandsb7 Statistics - switches to statistics view

commandsb8 Summary - switches to summary view.

commandsb9 Backup - starts the backup process for the currently selected backup job. Clicking the small arrow displays the following drop-down menu:

· Make - performs the backup type defined in backup properties
· Make Full - performs a full backup regardless of the backup type
· Make Incremental - performs an incremental backup regardless of the backup type defined in backup properties
· Make Differential - performs a differential backup regardless of the backup type defined in backup properties

commandsb10 Restore - starts the Restore Wizard

· Restore Latest Version - restores the latest version to its original location without showing the Restore wizard
· Restore Latest Version To - restores the latest version to another location (prompts for one) without showing the Restore wizard

commandsb11 Test - opens the Test Backup window

commandsb12 Cancel - cancels the backup, test or restore process

commandsb13 Refresh - reloads the backup catalog

commandsb14 Scheduler - opens the Schedulers window to see the scheduled tasks

Menu commands

File

· New Backup Wizard... starts the New Backup Wizard, same as the New toolbar button or keyboard shortcut Ctrl+N
· Open Backup... creates a new backup job from the opened ".bkc" or ".ini" file, same as the Open toolbar button or the keyboard shortcut Ctrl+O
· Create Like... duplicates the selected backup job, same as the toolbar button Create Like or the keyboard shortcut Ctrl+E
· Delete Backup - removes the current selected backup, same as the toolbar button Delete or the keyboard shortcut Ctrl+Del
· New Group... creates a new backup group
· Rename Group... renames the current expanded group
· Delete Group - removes the current expanded backup jobs group
· Properties... opens the backup properties window, same as the toolbar button Properties or the keyboard shortcut Ctrl+P
· Import... imports ".ini" files from previous versions of Backup4all
· Exit - exits the application, same as the keyboard shortcut Alt+F4

View

· Explore - switches to Explore view, same as the Explore toolbar button or keyboard shortcut F2
· Statistics - switches to Statistics view, same as the Statistics toolbar button or keyboard shortcut F3
· Summary - switches to Summary view, same as the Summary toolbar button or keyboard shortcut F4
· Explorer - displays a list of options for the Explore view:
· Show New Files (Ctrl+1) - displays new files since last backup
· Show Unchanged Files (Ctrl+2) - shows unchanged files since last backup
· Show Modified Files (Ctrl+3) - displays modified files since last backup
· Show Excluded Files (Ctrl+4) - displays excluded files since last backup
· Show Deleted Files (Ctrl+5) - displays deleted files since last backup
· Expand all (Ctrl+6) - expands all files and folders
· Collapse all (Ctrl+7) - collapses all files and folders
· Open Folder - shows list of folders that can be opened with Windows Explorer
· Destination Folder - folder containing the destination files
· Catalog Folder - folder containing the ".bkc" files
· Initialization Folder - folder containing the ".ini" files
· Job Logs - contains a list of available logs
· Last Backup Log - shows the latest backup log for the selected backup job. If there is no log file, the menu is disabled.
· Last Restore Log - shows the latest restore log for the selected backup job. If there is no log file, the menu is disabled.
· Last Test Log - shows the latest test log for the selected backup job. If there is no log file, the menu is disabled
· Open Log Folder - opens Windows Explorer showing the contents of the log folder
· View Application Log - shows the application's log file. If there is no log file, the menu is disabled.
· Restore default layout - restores Backup4all's windows size, position and columns

Actions

· Make Backup - starts the backup process for the selected backup job, same as the Backup toolbar button or keyboard shortcut F6
· Make Full Backup - performs a full backup regardless of the backup type
· Make Differential Backup - performs a differential backup regardless of the backup type
· Make Incremental Backup - performs an incremental backup regardless of the backup type
· Backup <Name of group> Group - starts the backup process for each backup job in the opened group, one backup job at a time. Backup jobs are executed in the same order as they are visible in the backup group
· Restore... starts the Restore wizard same as the Restore toolbar button or the keyboard shortcut F7
· Test... opens the Test Backup window, same as the Test toolbar button or the keyboard shortcut F9
· Cancel - cancels the backup, test or restore process, same as the Cancel toolbar button or the keyboard shortcut F8
· Refresh (F5) - reloads the backup catalog

Tools

· Schedulers... (F11) - opens the Schedulers window
· Create Shortcut... creates a shortcut to a backup job (for easy backup execution from outside the program) on your desktop, quick launch or other location
· Erase CD/DVD - opens the Erase CD/DVD window
· Export Statistics - Exports the calculated statistics in a .csv file
· Running Backups... (Ctrl + B) - opens the Running backups window
· Options - opens the Options window

Help

· Contents (F1) - opens the help file
· Backup4all on the Web - opens weblink http://www.backup4all.com/
· Support Request... starts a new email message that will be sent to the support team
· How to Order - provides information about where and how to buy the application
· Register... opens the Register Backup4all window
· About Backup4all - opens the About box of Backup4all

Related Topics:

Explore View

Statistics View

Summary View

Keyboard Shortcuts


Backup List

Backup list is the list of all defined backups visible in the left side of Backup4all's main window. The backup jobs are grouped into backup groups, for easy handling.

To configure a backup job's appearance (icon and label) in the backup list, you have to open the Backup Properties window, switch to the General tab, change the name of the backup job, choose the group of the backup job and select a backup job icon. If you have several backup jobs defined in the same group, you can check the option Sort backup jobs alphabetically in a group from Tools->Options->General to have them ordered by name. When you backup an entire group, the backup jobs are backed up in the order that they are displayed in the group.

When right clicking a backup job, a menu is displayed giving the following options:

· Make Backup - starts the backup process for the selected backup job
· Make Full Backup - performs a full backup regardless of the backup type
· Make Differential Backup - performs a differential backup regardless of the backup type
· Make Incremental Backup - performs an incremental backup regardless of the backup type
· Restore - starts the restore process for the currently selected backup job
· Test... starts the test process for the currently selected backup job
· Cancel - aborts current backup process
· Create Shortcut... creates a shortcut to the backup job
· Backup <Selected Group Name> Group - executes all backup jobs from the group
· View logs - lets you open and view the Last Backup Log, Last Restore Log and Last Test Log
· New Group... adds a new group
· Rename group... renames the selected group
· Delete Group - deletes the selected group and all its backup jobs
· Explore - switches to Explore view
· Statistics - switches to Statistics view
· Summary - switches to Summary view
· New Backup Wizard... opens the New Backup Wizard
· Create Like - duplicates a backup job
· Delete Backup - deletes a backup job
· Properties... opens the Backup Properties window

Related Topics:

Explore View

Statistics View

Summary View

Commands

Manage Backup Groups

Running Backups


Manage Backup Groups

Create a new backup group

1) When creating a new backup job using the New Backup Wizard, type a new name (that does not exist) for the backup group. The new group will be created when the wizard is finished.
2) When editing backup job's properties, type a new name (that does not exist) for the backup group. The new group will be created when the window is closed.
3) Right click on backup list (left panel of the main window) and choose New Group. The Create a new group window will appear and you can enter the name of the group. A new empty group will be created (which can be selected later from the Groups combo of the New Backup Wizard or from the Backup Properties window).

Rename a backup group

Right-click on the backup list and choose Rename Group. A window similar with the one for Create a new group will appear. You can enter the new name and press OK. The group will be renamed and it will keep all the backup jobs it had.

Delete a backup group

Open the backup group to see its jobs. Then right-click and choose Delete Group. A warning message will appear before the deletion. If you choose Yes, the backup group will be deleted with all its backup jobs. To move backup jobs to a different backup group, you must edit the backup job's properties and select a different group for them.

Related Topics:

Backup List

Commands

New Backup Wizard and Backup Properties - General


Explore View

You can activate Explore view by:

· pressing the Explore button from the toolbar
· selecting the Explore menu item from the View menu
· pressing F2 keyboard shortcut

The Explore View consists of a File Tree on top and a File Version List at the bottom.

File Tree

The file tree content depends on the backup sources and file filters defined for the selected backup job. You can right-click on the folders and files in the tree to open the same context menu that is available from Windows Explorer if the option Show context menu from Tools- >Options->General is checked. If that option is unchecked, the right-click operation will display only the Restore Latest Version and Restore Latest Version to... You can select multiple files.

Be careful about handling files in the Explore view with the Show context menu option checked: all actions are performed on the hard disk and any deletion will actually remove the file from your hard disk!

Beside the Windows Explorer context menu items, there are also two custom menu items, which enable the restore of the last version of a file: Restore Last Version and Restore Last Version To...

The file tree shows the last modified date, size and attributes for each file in additional columns. This information is the same as shown in Windows Explorer. You can sort the files by name, date, size or attributes by simply clicking on the appropriate column header. The files are sorted within their folders. Size, Modified and Attributes columns can be hidden if you right click on the column header and uncheck the names of the columns that you want to remove.

There are seven buttons on top of the file tree that help you show/hide files depending on their status:

explore-icon-1 If pressed, files that will be added to the backup are shown in the tree. All files with this status will have [image] picture in front of them.

explore-icon-2 If pressed, files that have not been changed since last backup are shown in the tree. All files with this status will have [image] picture in front of them.

explore-icon-3 If pressed, files that have been changed since last backup are shown in the tree. All files with this status will have [image] picture in front of them.

explore-icon-4 If pressed, files that are already present in backup and are now excluded by new changes in file filter are shown in the tree. All files with this status will have [image] picture in front of them.

explore-icon-5 If pressed, files that have been deleted from hard disk are shown in the tree. All files with this status will have [image] picture in front of them.

explore-icon-6 If pressed, all directories in the tree will be expanded. For a large number of files and directories, this operation can take a longer time. Press the ESC key to stop the process.

explore-icon-7 If pressed, all directories in the tree will be collapsed.

If you do not want to see empty folders when clicking on Expand all, check Hide empty folders on expand all in the Tools->Options->General window and click Expand all again. The tree will show only folders containing at least one file.

There is an easy way to search for a file in the files and folder tree: simply start typing the file's name and the matching file name will be selected. Only files that are visible in the tree are found, so if you want to search in all files, you have to do an Expand all first.

If you want to see only the backed up files press these buttons: explore-icon-2 explore-icon-3 explore-icon-4 explore-icon-5

For the files that will be added to the next backup press: explore-icon-1 explore-icon-3

File Version List

If a file is selected in the tree, at the bottom of the view, you can see the list of the file's versions from the backup. Information provided for each version:

· Type - Type of the Backup. Each of the backup types is represented by a descriptive icon: Full, [image] Incremental, [image] Differential, [image] Mirror
· Ver. - File version number
· Bck. No. - Number of the backup
· Backup Date - Date and time when the version was added to the backup
· Status - Status of operation performed on that file version (added, excluded...)
· Size - Size of the file version
· Modified - Date and time when the file version was last modified (at backup execution)
· Attributes - Attributes of the file version at backup execution (read-only, hidden, archive). This column is hidden by default
· Bkc. Label - Label of the backup increment. This column is hidden by default

The file versions in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide unnecessary columns (except the Version column which is grayed out).

Backup4all provides an easy way to restore any file version. Just right-click on the file version you want to restore and:

· choose Restore if you want to restore the version in the original location
· choose Restore to... if you want to restore the version in another location
· choose Open if you want to open/view that version of the file with the associated Windows application
· choose View with Notepad if you want to open/view that version of the file with Notepad

Related Topics:

Statistics View

Summary View

Backup List

Commands


Statistics View

You can activate Statistics view by:

· pressing the Statistics button from the toolbar
· selecting from the View menu the Statistics menu item
· pressing the F3 keyboard shortcut

This view provides statistical information about the last backup performed and calculates statistics about the next backup, based on the current backup job configuration.

Information provided for incremental and differential backups:

Last full backup on

The date and time when the last full backup was executed. Note that the first backup is always a full backup, even if the backup type is set to incremental or differential.

Last full backup size

Shows the size of the last full backup (compressed) / size of all files present in backup (uncompressed) / compression percentage.

For example 10 MB/30 MB/33% means that the size of the last full backup was 10 MB, the uncompressed size of the files backed up was 30 MB and the compression ratio was 33%.

Last backup on

Date and time of the last backup

Last backup size

Shows the size of the last backup (compressed) / size of all files present in backup (uncompressed) / compression percentage

For mirror backups the first four labels are replaced by:

Mirror backup on

Date and time when the last mirror backup was executed

Mirror backup size

Shows the size of the last mirror backup

Total size of backup

Total size of the backup takes into consideration all backup increments, ".bkc" file and any folders that might have been created. It shows the total size after compression / without compression / compression percentage For mirror backup the compressed values are not shown, because there is no compression.

Number of backups

Number of times the backup job was executed

Other information provided for incremental, differential and mirror backups:

Last backup status

Displays the following information:

· Last backup was successful when everything went OK
· Last backup failed when the backup was aborted due to an error
· Last backup had <X> warnings when the backup was done, but <X> files could not be backed up
· Last backup was canceled when the user canceled the backup execution

Files in backup

Shows the number of files in the backup. The number between the brackets is for the files added at the last backup. For full backup the number of files added to the last backup will be always the same with the total number of files. The same for mirror backup without the Fast mirror option activated.

Next scheduled backup

Date and time when the backup is scheduled to be executed again

Statistics for next backup:

The Calculate Statistics for Next Backup (Ctrl+F5) button will start counting the new, modified, unchanged and excluded files since last backup execution. The counters will be shown in the labels below, divided into two sections: Files to backup containing the counters for the files that will be added to the next backup, and Changes since last backup containing the counters for the files changed since the last backup. For a large number of files, counting can be time consuming. If you want to stop the counting process press the Cancel button from the toolbar. Calculate Statistics for Next Backup (Ctrl+F5) uses the catalog file (".bkc"). If this catalog is on a CD/DVD and you enter a previous backup version, the counters will be different. Files to backup counters are calculated depending on the backup job settings: backup type, <Clear backup> action etc. Changes since last backup counters are always the same no matter the backup job settings.

Files to backup

For full and differential backup types these counters are calculated based on the changes since the last full backup. For the incremental the counts are based on the changes since the last backup (differential, full or incremental).

New files

The number of new files that will be added to backup. For mirror backup (with the Fast mirror option unchecked), the new files counter equals the total number of files.

Modified files

Shows the number of modified files to be added to backup. For mirror backup (with the "Fast mirror" option unchecked), this number will always be 0.

Unchanged files

Shows the number of unchanged files to be added to backup. For differential, incremental and mirror backup with Fast mirror option unchecked, this number will always be 0.

Excluded files

Shows the number of excluded files, which will be removed from the backup.

Changes since last backup

counts the changes since the last backup, regardless of the backup settings

New files

Shows the number of new files since last backup.

Modified files

Shows the number of modified files since last backup.

Unchanged files

Shows the number of unchanged files since last backup.

Excluded files

Shows the number of excluded files. A file gets excluded because of the changes in file filter or because it was deleted or moved from the source files.

Total files to backup

Shows the total number of files that will be added to backup next time. This should be the sum of the new, modified and unchanged file counters.

Total file size (uncompressed) to backup

Shows the sum of all file sizes to be included in the backup next time it is executed.

Free disk space on destination

Shows the available free disk space on the destination drive.

Related Topics:

Explore View

Summary View

Backup List

Commands


Summary View

You can activate the Summary view by:

· pressing the Summary button from the toolbar
· selecting from the View menu the Summary menu item
· pressing the F4 keyboard shortcut

This view provides a text description containing all the configurations made for a backup job. You can copy this text description and put it in a file for later use.

Information included in the Summary:

· General:
· Backup name:
· Group name:
· Predefined backup:
· Description:
· Ini file:
· Source(s):
· Destination:
· Drive:
· Destination type:
· Folder:
· Catalog:
· Backup type:
· Type:
· Clear archive bit:
· Limit number of stored backups:
· Password:
· Use Zip AES encryption:
· Key strength:
· Compression level:
· Zip split size:
· Zip name prefix:
· Zip filter:
· Create independent splits:
· Always use temporary folder to create zip files:
· Use alternate zipping mode:
· Filters:
· Main:
· Include filter:
· Exclude filter:
· Advanced settings:

Backup:

· Volume label prefix:
· Comparison criteria:
· Backup execution priority:
· Ask for backup label before execution:
· Test after backup:
· Delete sources after successful backup:
· Delete empty directory:
· Use local catalog:
· Actions:
· Action before backup:
· Action after backup:
· Sounds:
· Emails:
· Success email:
· Warning email:
· Error email:
· Send email to addresses:
· Attach backup log file to email:
· Scheduler:
· Show warning and error messages when scheduled:
· Ask for user input when backup cannot continue:

Related Topics:

Explore View

Statistics View

Backup List

Commands


Running Backups

The Running Backups window can be opened from the Tools->Running Backups menu item or by pressing the Ctrl+B keyboard shortcut.

Backup4all can process multiple backup jobs at the same time. Using the Running Backups window you can see which backup jobs are executed at a certain time.

If there are many backups listed, you can search for a backup job by typing its name in the Type the backup name field on the top left side of the Running Backups window. You can also do a search for a backup group by typing the backup group name you want to find in the Type the group name field.

To go to one backup job or group, select it from the list and press the Open button, double-click it or press Enter. This will close the Running Backups window and focus the chosen backup job or group.

Click the Refresh button to reload the display of the backup jobs running. If a backup is finished, it will not be shown in the list anymore. Pressing the Cancel button or the Esc key will close the Running Backups window.

Related Topics:

Backup List

Commands


Erase CD/DVD

The Erase CD/DVD window can be opened from the Tools->Erase CD/DVD... menu item.

When the window is shown, devices capable of writing to CD/DVD are listed in it. The first device from the list is selected by default.

A summary of properties is shown for each device (calculated by Backup4all's internal burner):

· Maximum read speed of device - shows the maximum reading speed of the device (kb/s)
· Maximum write speed of device - shows the maximum writing speed of the device (kb/s)
· Reading capabilities - displays a list of media the device can read from
· Writing capabilities - displays a list of media the device can write to
· Disk type - shows the type of media inserted
· Sessions on disk - number of sessions on the disk
· Disk free space - free space on disk
· Disk size - total size of disk
· Maximum read speed of media - maximum reading speed of media
· Maximum write speed of media - maximum writing speed of media

When an erase is performed, the progress bar shows the percentage of the operation completed.

Options

Erase

Erases the CD/DVD based on the selection from the combo:

· Quick erase - disk appears to be empty, but the data is not physically erased (selected by default)
· Full erase - will physically erase all data on disk. Takes longer to perform

Load

Closes the CD/DVD tray. The button is enabled only when a device is selected.

Eject

Opens the CD/DVD tray. The button is enabled only when a device is selected.

Refresh

Will reload all information about the CD/DVD burners.

Close

Closes the Erase CD/DVD window.

Related Topics:

CD/DVD Advanced Settings

Options - Backup

Commands


Test

The Test window can be opened from Actions->Test... menu item or by pressing the F9 keyboard shortcut. It lists all the available information about the backup versions of the current backup job.

When you open the window all the backup versions that can be tested are selected. You can select/deselect multiple backup versions you want to be tested using batch selection on that list. To define the selection, keep the Shift key pressed and use the up and down arrow keys from your keyboard or the mouse. If you want to select multiple individual items, press and hold the Ctrl key and select using the mouse the items you want tested.

Some backup versions created with older releases of Backup4all cannot be tested. These versions are disabled and cannot be included in test selection.

There are several columns in the Test window that provide information for each backup version:

· Type - Type of the backup. Each of the backup types is represented by a descriptive icon: Full, [image] Incremental, [image] Differential, [image] Mirror
· Backup No. - Number of the backup
· Backup time - Date and time when the version was added to the backup
· File No. - Number of files included in that backup
· Total size - Size of the backup version
· Label - Label of the backup increment.

The backup versions in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide unnecessary columns (except the Type column which is grayed out).

Using the Priority slider you can set the test execution speed compared to the rest of the running processes on your computer. Default is Normal priority, but there are other 4 priority levels: Lowest priority, Low priority, High priority and Highest priority. On Lowest priority the test process will consume the minimum amount of computer resources but will take the longer to complete, while Highest priority will consume the highest amount of computer resources but will take the least to complete.

To test the selected backup versions press the Test button, or press Cancel (or the Escape key) to close the window.

After finishing the test, a pop-up message is displayed with the test results:

· Testing <backup name> found no errors - means that there are no corrupted/missing files in the backup

Testing <backup name> found error(s). Do you want to see the log file? - means that some files are corrupted or missing from the backup; you should press Yes to see the test log file (available from the View->Job Logs->Last Test Log menu too)

Backup4all has also the option to test the files automatically after backup. This option is checked by default and it is recommended to leave it this way. However, if you want to modify it, you can find the Test after backup option in the Backup Properties- >Advanced window for the selected backup job.

Related Topics:

Commands

Advanced - Backup

Logging


Logging

Backup4all provides a log engine that helps you track the backup, restore and test operations. It is composed of three subsystems: backup logging, restore logging and test logging. Log files are accessible from the View->Job Logs menu item. You can also see an "overview" of all three subsystems by selecting the View Application Log menu item.

For each operation the system logs:

· start time and date
· the operation
· errors or warnings
· end time and date

The Tools->Options->Logging configuration window provides additional options that you can select to further customize the logging process:

· Log Detailed Info - if this option is enabled the logs will contain information about every file used in the backup, restore or test process.
· Include Summary in log - if it is checked the logs will include all the text available in the Summary view.
· Log folder - after a long period the application will generate a large number of log files. Since all the log files are stored in the same folder, the system has an option to limit the size of the log folder. Just select Restricted to and choose a Size and Unit for the log folder (default is 10MB). If the log file of the running backup job is larger than the limit, it will still be stored in the log folder. When the same operation will run again, the previous log file will be deleted.

Backup Logging

Logged operations:

· Checking sources/destination
· Creating file list
· Archiving files
· Merging files
· Burning CD or DVD
· Saving catalog

Other information added to the logs: the total number of files added to backup, the total size of files added to backup and the number of files excluded.

Restore Logging

Logged operation (except mirror backup): Processing zip file. The total number of restore files is logged and the start/end time of restoring.

Test Logging

Logged operations: Testing zip file or Testing files (for mirror backup). The result of the operation is also logged.

Related Topics:

Options - Logging


Schedulers

The Schedulers window can be opened from the Tools->Schedulers menu, by pressing the Scheduler button from the toolbar or by pressing the F11 keyboard shortcut. It lists all the available information about the scheduled backups and allows you to Add, Edit, Delete and Schedule the backups.

Right-clicking an existing scheduled backup will display the following options:

· Add - allows you to easily add a new scheduled backup
· Edit - opens the Scheduled Jobs window where you can edit selected backup's options
· Delete - removes the selected scheduled backup
· Schedule - opens the Windows Scheduled Tasks properties window (or the standalone scheduler properties window, if this is the one used instead of the Windows Task Scheduler) that allows you to set the time and frequency for the selected scheduled backup. By default, when you add a new scheduled backup, Windows schedules the task for 9 a.m. each day.
· Refresh - refreshes the scheduled backups list

Filter backups:

· Filter by name - you can filter by name the existing scheduled backups by writing the backup job name in the Filter by name field. As you write, you will see that only the matching backups will be displayed.
· Filter by action - lets you select additional filters that show only scheduled backups that have a certain action defined: Full backup, Differential backup, Incremental backup, Default backup, Load backup job, Group backup, OTB backup, Test backup, INVALID. Its default value is <All> that shows all the scheduled backups no matter the type of action.

There are several columns in the Schedulers window that provide information for each scheduled backup:

· Enabled - if the checkbox is marked then the scheduled backup will run, if is unchecked it will not be executed
· Name - displays the name of the backup job as defined in its backup properties
· Action - shows the type of action associated with the scheduled backup (full, differential, incremental, default)
· Job Name - shows the backup job name assigned by the scheduler
· Status - displays the status of the scheduled backup
· Next Run Time - calculates the date and time when the scheduled backup will run next
· Last Run Time - shows the date and time when the scheduled backup last ran
· Schedule - shows the type of schedule selected for the backup job

The scheduled backups in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide unnecessary columns (except the Enabled and Name columns which are grayed out).

You can also schedule a backup from the Backup Properties->Scheduler window. The difference between the two methods is that the Backup Properties->Scheduler window displays the scheduled tasks only for the selected backup job, while Tools->Schedulers will show you the scheduled tasks for all the backup jobs and groups.

Backup4all uses by default the Windows Task Scheduler in order to run the scheduled backups so you need to make sure that the Task Scheduler service is enabled on your computer. Use the Windows Help in order to find out more information about scheduling a task using the Task Scheduler. If you don't want to use the Windows Task Scheduler, you can use Backup4all's standalone scheduler by selecting Use Standalone Scheduler.

Related Topics:

Add scheduled backup

New Backup Wizard and Backup Properties - Scheduler

Commands


Add scheduled backup

Once you click on Add from Tools->Schedulers, the Scheduled Jobs window will be shown.

Execute backup using

Main application

Option set by default. If Backup4all is closed when a scheduled backup needs to be executed, the main application starts and the backup runs. Furthermore, if the Close after run option is checked, Backup4all will be closed after the backup job is executed.

Command line application

Backup4all has also a command line version. If this option is selected, instead of the main application window a command line window will appear when a scheduled backup runs. After the backup finishes the window is closed. If you want the backup job to be executed in the background, you can check the Hide Window option.

Run

Backup job

This option allows you to schedule a backup job from the ones already defined. You can choose the backup job from the Select a backup job box and select an action to perform when the backup job runs.

Action

You can select an action to perform when the scheduled task for a backup job runs:

· Default - executes the default backup type defined in the backup job
· Full - executes a full backup, no matter what the backup type defined in the backup job is
· Differential - executes a differential backup, no matter what the backup type defined in the backup job is
· Incremental - executes an incremental backup, no matter what the backup type defined in the backup job is
· Load - at the scheduled date it opens Backup4all and selects the backup job
· Test - you can schedule a test operation instead of a backup. When Test is selected, the Backup Numbers box is displayed bck-number . You can type in there the backup numbers you want to test. The order you type them in is the order they will be tested in. Use the * character to test all backup numbers, or the # character to test only the last backup.

Backup group

This allows you to schedule a backup group. In the Select a backup group you can choose a group to execute but you can't select an action. Each backup job from that group will perform the backup type defined in its configuration.

One touch backup

If this is selected, the scheduled task will run the backup using settings from Tools->Options->One Touch Backup. If the option Enable "One Touch Backup" support is not enabled, the scheduled backup will not run.

Clear backup before run

If this is checked, Backup4all will first delete the ".bkc" file and all zip files associated with the current backup job and after that execute the scheduled task.

Erase disk before backup

This option is displayed only when the destination of the backup job is on removable media. If this is checked, Backup4all will first erase the disk (if supported) and after that execute the scheduled task.

Scheduler

Use Windows Scheduler

If this is selected, the backup jobs will be scheduled and executed using the internal scheduler from Windows. Over the standalone scheduler (Backup4all's internal scheduler), the Windows Scheduler has the advantage of being able to run the backup job even if there is no user logged in or if the computer is in hibernation/stand by.

User account

In this field, by default, the current logged in user's login name will be displayed. If your user account has a password make sure that you enter it by pressing the Set password button. We do not save your password but it is needed in order to set up the scheduled task in the Windows Task Scheduler. If your user account does not have a password you must select the Allow blank passwords when scheduling option from Tools->Options->General. Also, make sure that you enter the correct password - if the password is wrong the scheduled task will not run.

Use standalone scheduler

If this is selected, the backup jobs will be scheduled and executed using Backup4all's internal scheduler. If this option is selected, the User account field is grayed out since the Windows login username/password are not required. Using the standalone scheduler backups cannot be executed if there is no user logged in to Windows. To be able to run backups when no user is logged in you have to use the Windows Scheduler option.

Run at system shutdown

If this is selected, the backup job will be executed when the shutdown command is started. Backup4all intercepts the shutdown message and there is no way to know if a restart or a shutdown was requested. This is why it will always shutdown your computer after the backup is executed.

Related Topics:

Main Window - Schedulers

New Backup Wizard and Backup Properties - Schedule Job

Options - General


Import

The Import window can be opened from the File->Import... menu item and it is also opened the first time you run a newly installed Backup4all major version on a computer where a previous major version of Backup4all is installed. If you select this option and no previous major versions were installed, you'll be informed that there are no backup jobs to import.

If you had previous major versions installed, you'll have the option to import the backup jobs and backup groups from a previous major version of Backup4all.

Select ini files to import

When the Import window is opened, a list with all the .ini files found from a previous version is displayed and you can check the ones that you want to import in the backup list of the new version. For your convenience, you can use the Uncheck all or Check all options if you have lots of .ini files and want to deselect/select them all at once. Note that the backup jobs will be actually moved into the latest version, thus you will not be able to use them in the previous version.

There are three main columns in the display list:

· Import - if the checkbox is marked, the backup job will be imported
· Name - it displays the name of the backup job as it was defined in the previous version
· Scheduled - it shows if the respective backup job was a scheduled backup or not
· Group - shows the group name the backup job belonged to

Import inactive schedulers

If this is checked, scheduled backup jobs that were inactive will be imported too.

When the Import operation is finished, a report will be displayed with the results of the operation.

Run scheduled backup jobs as

If the backup jobs were scheduled to run in the previous version, you have the option to import them as scheduled backup jobs in the new version too.

Use Windows Scheduler

If this is selected, the backup jobs will be scheduled and executed using the internal scheduler from Windows. Over the standalone scheduler (Backup4all's internal scheduler), the Windows Scheduler has the advantage of being able to run the backup job even if there is no user logged in or if the computer is in hibernation/stand by.

User account

In this field, by default, the current logged in user's login name will be displayed. If your user account has a password make sure that you enter it by pressing the Set password button. We do not save your password but it is needed in order to set up the scheduled task in the Windows Task Scheduler. If your user account does not have a password you must select the Allow blank passwords when scheduling option from Tools->Options->General. Also, make sure that you enter the correct password - if the password is wrong the scheduled task will not run.

Use standalone scheduler

If this is selected, the backup jobs will be scheduled and executed using Backup4all's internal scheduler. If this option is selected, the User account field is grayed out since the Windows login username/password are not required. Using the standalone scheduler backups cannot be executed if there is no user logged in to Windows. To be able to run backups when no user is logged in you have to use the Windows Scheduler option.

Tips:

· if you want to open an .ini file of a current version instead, you can use the File->Open backup (Ctrl+O) option - this will recreate the backup job opened (if is not in the backup list already)

Related Topics:

Main Window - Schedulers

Commands


Create Shortcut

The Create Shortcut window can be opened from the Tools->Create Shortcut... menu item or by right-clicking the backup job from the backup list and selecting Create Shortcut... It creates a shortcut for the backup job on a designated location and you can simply run the backup job by double-clicking it.

Once you have selected the Action to be performed and the backup job/group to run, click on Ok to create the shortcut. A window will prompt you to select a name for your shortcut and its destination. Once that's completed, the shortcut will be placed in the selected destination.

Execute backup using

Main application

Option set by default. When you will double-click the backup shortcut, the main application will start and the backup will be executed. Furthermore, if the Close after run option is checked, Backup4all will be closed after the backup job is executed.

Command line application

Backup4all has also a command line version. If this option is selected, instead of the main application window a command line window will appear when the shortcut will be double-clicked. After the backup finishes the window is closed. If you want the backup to be executed in the background, you can check the Hide Window option.

Run

Backup job

This option allows you to create a shortcut for a backup job from all the ones already defined. You can choose the backup job from the Select a backup job box and select an action to perform when the backup job runs.

Action

You can select an action to perform when you double-click on the shortcut:

· Default - executes the default backup type defined in the backup job
· Full - executes a full backup, no matter what the backup type defined in the backup job is
· Differential - executes a differential backup, no matter what the backup type defined in the backup job is
· Incremental - executes an incremental backup, no matter what the backup type defined in the backup job is
· Load - at the scheduled date it opens Backup4all and selects the backup job
· Test - you can create a shortcut to a test operation instead of a backup. When Test is selected, the Backup Numbers box is displayed bck-number . You can type in there the backup numbers you want to test. The order you type them in is the order they will be tested in. Use the * character to test all backup numbers, or the # character to test only the last backup.

Backup group

This option allows you to create a shortcut for a backup group. In the Select a backup group you can choose a group to execute but you can't select an action. Each backup job from that group will perform the backup type defined in its configuration.

One touch backup

If this is selected, the shortcut will launch the backup using settings from Tools->Options->One Touch Backup. If the option Enable "One Touch Backup" support is not enabled, the backup will not run.

Clear backup before run

If this is checked, Backup4all will first delete the ".bkc" file and all zip files associated with the current backup job and after that execute the action.

Erase disk before backup

This option is displayed only when the destination of the backup job is on removable media. If this is checked, Backup4all will first erase the disk (if supported) and after that execute the defined action.

Image

Use image from backup job

If this option is checked, the shortcut placed on the desktop, quick launch or other location, will have the same icon as the one it has in the backup list. If unchecked, the default Backup4all icon will be displayed.

Tips:

· drag-and-drop the shortcut in Quick Launch to create a 1-click-backup action (this way when you do a single click on the icon the shortcut action will be executed

Related Topics:

Commands

Options - One Touch Backup


System Tray

When is Backup4all shown in the system tray?

Backup4all is minimized to the system tray when the Minimize to tray option from the Tools->Options->Startup window is checked and the user minimizes the main window. When the Close to tray option is checked Backup4all will not exit when you press the Close button close-btn, but instead it will always be displayed in the system tray .

The right-click menu of the tray icon allows to:

· Show/Hide - shows/hides Backup4all's main window
· Backup Group - lists all the existing groups, to back them up without opening the main window
· Exit - closes Backup4all completely and removes it from the system tray.

Tray Icon Hints:

1) When backups are executed, restored or tested, the tray icon is animated and the name of the backup jobs are shown in the hint along with the current operation.
2) If the application is idle the Backup4all 3 text is displayed in the hint.
3) When a backup is finished with errors, these are shown in the tray icon too. The information will disappear when the main window of the application is opened. If you do not wish to see the information in case of errors, just uncheck Show errors in tray from the Tools->Options->Startup window.

Related Topics:

Options - Startup


Keyboard Shortcuts

Keyboard shortcuts configured in Backup4all:

keyboardshortcutsb1 New backup wizard - CTRL + N

keyboardshortcutsb2 Open backup - CTRL + O

keyboardshortcutsb3 Duplicate backup job - CTRL + L

keyboardshortcutsb4 Delete backup job - CTRL + Del

keyboardshortcutsb5 Backup job properties - CTRL + P

keyboardshortcutsb6 Explore - F2

keyboardshortcutsb7 Statistics - F3

keyboardshortcutsb8 Summary - F4

keyboardshortcutsb9 Refresh - F5

keyboardshortcutsb10 Execute backup - F6

restore-menu-btn Restore - F7

keyboardshortcutsb12 Cancel - F8

keyboardshortcutsb13 Test - F9

keyboardshortcutsb14 Scheduler - F11

explore-icon-1 Show New Files - CTRL + 1

explore-icon-2 Show Unchanged Files - CTRL + 2

explore-icon-3 Show Modified Files - CTRL + 3

explore-icon-4 Show Excluded Files - CTRL + 4

explore-icon-5 Show Deleted Files - CTRL + 5

explore-icon-6 Expand All - CTRL + 6

explore-icon-7 Collapse All - CTRL + 7

focus-menu Focus menu - F10

close-btn Exit - ALT + F4

Running backups - CTRL + B

Help - F1

Related Topics:

Commands


Overview

Using the New Backup Wizard you can easily create a new backup job. With the Backup Properties window you can modify backup jobs.

The pages of the wizard and the properties window are the same just that in the New Backup Wizard you must step through them in a specified order, while in the Backup Properties window you can access all pages from the list on the left side of the window.

Another difference is that the New Backup Wizard has an extra Summary page, with the same information as the Summary view of the backup job.

Related Topics:

New Backup Wizard and Backup Properties- General

New Backup Wizard and Backup Properties- Sources

New Backup Wizard and Backup Properties- Destination

New Backup Wizard and Backup Properties- Filters

New Backup Wizard and Backup Properties- Advanced

New Backup Wizard and Backup Properties- Scheduler


General

The General page defines the appearance of the backup job in the backup list.

Name

Enter the name of the backup job. This name will appear in the backup list, right under the chosen picture. This field is mandatory.

The name of the backup job is closely related to the name of the subdirectory in destination that contains zipped and mirrored files and to the name of the catalog. That is why when you rename the backup job, the name of the catalog and the name of the subdirectory from destination are also changed if possible.

If the destination is on HDD (local), LAN (network) or FTP (remote) the name of the subdirectory and the name of the catalog are always changed, except for the case when you do not have enough permission to rename or some files are locked.

If the destination is on a removable disk CD, DVD, floppy disk and you have run the backup job, the catalog and the subdirectory in destination are already created and they will not be changed. If the backup job has not been run yet, then the catalog and the subdirectory will be created with a name similar to the backup job at first backup run.

Group

Select the group where you want the backup job to appear. If no group is available or you want to define a new group, just type the name of the group and it will be created. This field is mandatory.

Predefined backup

Select a predefined backup you want to use:

· None - You will have to choose the backup sources on the Sources page
· My Documents - The source of your backup will be the My Documents folder
· My Pictures - The source of your backup will be the My Pictures folder
· Outlook Express - The job will backup all your Outlook Express emails and settings
· Backup4all Configurations - The job will backup the configuration files of Backup4all

The predefined backups will always restore your backup in the correct folders, even if you have changed the computer.

Description

You can write in here a text describing the backup job defined

Icon

Press the Change Icon button to manage the backup job icons. This icon will be shown in the Backup List. You can add a new icon by clicking on the Add button. Only Windows icons (files with ".ico" extension) or bitmaps (files with ".bmp" extension) can be added to the list. To remove an icon from the list, you have to select it and then click on the Delete button. By default, each new backup job icon will be the first icon from the Change Icon list.

Related Topics:

New Backup Wizard and Backup Properties- Sources

New Backup Wizard and Backup Properties- Destination

New Backup Wizard and Backup Properties- Filters

New Backup Wizard and Backup Properties- Advanced

New Backup Wizard and Backup Properties- Scheduler


Sources

The Sources page defines what files and folders will be used by Backup4all for the backup.

You can:

· add a whole folder by pressing the Add folder button
· add one or several files by pressing the Add files button
· remove any file or folder by selecting it and pressing the Remove button
· exclude subdirectories and files from backup by un-checking the thickbox chk-icon
· select all files and folders by pressing the Check all button
· unselect all files and folders by pressing the Uncheck all button

You must add at least one file or directory in order to continue with next step of the wizard.

If the source drive is missing (when the network is disconnected for instance or floppy, CD/DVD is missing), a warning message is shown containing the list of missing drives. The user can choose Abort to stop the backup process, Retry to check the drive again, Ignore to mark the source folder as deleted and continue with the next sources. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.

Tips:

· try to keep the number of checked files and folders greater than the number of unchecked files and folders - backup process will run faster this way.
· you can add files/foders to the Sources window by dragging and dropping them from Windows Explorer

Related Topics:

New Backup Wizard and Backup Properties- General

New Backup Wizard and Backup Properties- Destination

New Backup Wizard and Backup Properties- Filters

New Backup Wizard and Backup Properties- Advanced

New Backup Wizard and Backup Properties- Scheduler


Destination

The Destination page defines where the backup archive will be stored.

Destinations

Valid destinations:

· Local drives: hard disk drive, floppy drive, zip drive, CD/DVD drive, USB drive
· LAN (network) drives: mapped network drive, UNC network drive
· FTP servers (*): remote FTP locations

For removable media, there is an extra option: Erase disk before writing. Setting this option will completely erase the removable media before backup execution. If the destination is a CD/DVD drive, the burning process can be configured further from another dialog.

If the destination is a network drive, then only a full path is allowed. For example, suppose \\Backup_Server\PC1 is mapped on a workstation as drive X, then the following paths are both valid and indicate the same folder: \\Backup_Server\PC1\Backup and X:\Backup.

Make sure you can write in the destination and the selected folder (you have the proper rights and the media is not write-protected).

For each backup job, a backup catalog (".bkc file") is created in the destination folder and saved locally too (if the option Use local catalogs is checked). Each backup catalog can be assigned to one backup job.

Override catalog

In the Destination there is another option regarding the backup catalog: Override catalog. If you don't press the Override catalog button, your current backup job will use the existing catalog, or if there is no catalog it will create a new one.

If there is one backup catalog for this job created and you want to create a new catalog for this job but keep the old one too, press the Override catalog button and check the Create new catalog option that appears. Now, if the next time you do a backup you want to use the previous catalog, you can press the Override catalog button again and this time in the list you will see the 2 backup catalogs. The new one is grayed out and checked so to use the old one just select it from the list.

A backup catalog (".bkc" file) contains the following information:

· backup job configuration: files and folders, filters, scheduling, backup type, etc. Usually this configuration is set in the New Backup Wizard or the Backup Properties window
· List of files and folders that have been added to the backup

If you lost your backup job from the backup list and you want to recreate it, you can do so by using the File->Open backup option and selecting an existing ".bkc" or ".ini" file. The same action takes place if you double click on the ".bkc" file. A new backup job configuration will be added to the backup list and the configuration of the new backup job is copied from the ".bkc" file.

Related Topics:

Destination - Local

Destination - LAN

Destination - FTP

CD/DVD Advanced Settings


Local

You can use a valid local destination for your backup: hard disk drives, floppy disk drives, zip drives, CD/DVD drives, USB drives or other removable media.

The Local option is selected by default when you define a new backup. From the Destination drive you can select either one of your hard disk partitions, mapped network drives, the floppy disk, CD/DVD drive or other removable drive. By default, the first partition is selected (usually C:).

When you select one of the removable drives, another option appears too: Erase disk before writing. If you check this, before performing the backup job Backup4all will erase everything (if the removable drive supports this function). If the destination is a CD/DVD drive, the burning process can be configured further the CD/DVD Advanced Settings dialog.

In the Folder where to perform the backup field by default it is the path to the My Backup4all 3 folder (\Documents and Settings\<user name>\My Documents\MyBackup4all 3). You can click on the Select another destination icon browse and browse to a directory of your choice where the backup will be stored.

If the destination drive is missing (when the network is disconnected for instance or floppy, CD/DVD is missing), an error message is shown containing the list of missing drives. The user can choose Cancel to stop the backup process or Retry to check the drive again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still not possible to access the drive it will abort the backup process.

Related Topics:

New Backup Wizard and Backup Properties- Destination


CD/DVD Advanced Settings

If you choose as a local destination your CD/DVD drive, you have access to another window that contains special settings for CD/DVD burning.

Press the CD/DVD Advanced Settings button to open it.

Erase disk before writing

When this option is checked, the rewritable CD or DVD is erased before burning the backup files. By default this option is not marked.

Choose CD/DVD write method

Burn using built-in driver

Backup4all has built in burning capabilities. Depending on the option selected in CD/DVD (from Tools->Options->Backup), one of the internal burners or a third party ASPI driver will be used to write the CD or DVD. This option is checked by default.

Speed

Use this option to specify a different speed for burning the CD or DVD. By default this option is set to Maximum speed.

Use UDF file system

UDF is a platform-independent file system; the same media can be written and read by any operating system or vendor. Each CD or DVD must be UDF formatted before burning otherwise the backup will fail. The limitation of this type is that you must have an UDF reader installed on each computer you wish to use the CD or DVD.

Related Topics:

New Backup Wizard and Backup Properties- Destination

Erase CD/DVD


LAN

You can use a network destination for your backup by selecting the LAN option from the Destination window.

Click the Select another destination icon browse to browse through the My Network Places to select a destination where the backup will be stored.

You can also enter network paths in the Folder where to perform backup field. Only a full path is allowed. For example, suppose \\Backup_Server\PC1 is mapped on your workstation as drive X, then the following paths are both valid and indicate the same folder: \\Backup_Server\PC1\Backup or X:\Backup.

Make sure you can write in the destination and the selected folder (you have the proper rights and the media is not write-protected) before finishing the backup configuration. You can enter an User name and Password to access the network destination if it requires authentication. If you are logged in as an user that has rights to write to the specified network destination, you can check the First use Windows auth. option. What this option does is that it checks on the network destination if the logged in user has rights to access it.

After entering the path and eventually the username/password, use the Test button to see if the destination is reachable and that you have sufficient rights to access it. The network connection was tested successfully pop-up message means that the network destination was accessible. In case of insufficient rights the following error message will appear: Network connection error. Access is denied. In this case you have to either make sure that the entered username/password values are correct, or contact the network administrator to obtain the necessary rights.

If the destination is missing (when the network is disconnected), an error message is shown.

The user can choose Cancel to stop the backup process or Retry to check the network connection again. If the scheduler starts the backup then the system will retry as many times as set in the Tools->Options->Backup window and if still is not possible to access the network destination, it will abort the backup process.

Related Topics:

New Backup Wizard and Backup Properties- Destination


FTP

Backup4all supports backing up to a remote computer or device using FTP (File Transfer Protocol) connection. This is a practical backup destination because the backed up data can be easily accessed from any other computer with an Internet connection. Select the FTP option from the Destination window to be able to configure the backup to FTP.

Apply FTP configuration

You can select an already defined FTP configuration given that you added one in the Tools->Options->FTP window. All the fields will be filled with the information from the configuration file. If no configuration was previously defined, you will have to enter the other details.

Folder where to perform backup

Enter a folder name where the backup files will be stored on the remote computer via FTP. If the folder does not exist, a new one is created with that name. If that field is left blank, Backup4all will store the backup files in the default login directory on the remote FTP site.

Host name and port number

In this field you have to enter the name or IP address for the FTP server and a port if different than the default FTP port (21). The format is host:port; e.g. ftp.Backup4all.com:1002 will backup to ftp.Backup4all.com connecting through port 1002.

User name/Password

In these fields you can enter the user name/password for the FTP server. There are FTP servers that allow anonymous access (public FTP servers). You can connect to these types of FTP servers using as user name Anonymous and your email address as password. It is not recommended to backup important files to public FTP servers.

By pressing the Test button you can check to see if the settings you have entered are correct. If the test was successful, The ftp connection was tested successfully message will be displayed.

Additional settings can be set by pressing the Advanced Settings button.

Related Topics:

Options - FTP


Advanced Settings

This window is shown when selecting Advanced Settings from the Destination->FTP window.

Firewall

Proxy type - select one of the options below (supported by your firewall) if you use a proxy to connect to the FTP:

· None - Sends the User name and optional Password for the FTP server as entered in the FTP window
· Send command USER - Sends the User name and optional Password defined in the proxy settings, followed immediately by the User name and optional Password for the FTP server.
· Send command SITE - Sends the User name and optional Password defined in the proxy settings, the SITE command with the Host value, and the User name and optional Password for the FTP site.
· Send command OPEN - Sends the User name and optional Password defined in the proxy settings, sends the OPEN command with the Host value, and the User name and optional Password for the FTP site.
· USER user@firewalluser@hostname / PASS pass@firewallpass - Sends the command USER user@proxyuser@host, then the command PASS pwd@proxypwd, or optionally PASS pwd.
· Transparent - Sends the User name and optional Password defined in the proxy settings, followed immediately by the FTP server User name and optional Password.
· Host name and port number (host:port) - In this field you have to enter the name or IP address for the proxy server (firewall) and the port. The format is proxy:port, e.g. localproxy:8080
· User name - This field is used to enter the proxy user name.
· Password - In this field you can enter the password for the specified user name.

Bandwidth limitation

Bandwidth limitation - allows setting different limitations for upload/download speeds:

· Limit upload speed - if checked you can set a maximum upload speed for the FTP transfer
· Limit download speed - if checked you can set a maximum upload speed for the FTP transfer

Other

SSL encryption level - indicates the level of Transport Layer Security (TLS) required for control channel and data channel connections to the FTP server:

· No SSL - the server does not require Secure Socket Layer transport
· Implicit SSL - implies that Secure Socket Layer is in use
· Only explicit SSL - allows the connection to the FTP server only if TLS is available.
· Explicit SSL, if available - when SSL is available, uses explicit security by default. The server allows regular FTP sessions without encryption as well as encrypted FTP sessions using SSL.
· Use passive mode for transfers - each file transfer (upload or download) needs an additional connection for the data stream. Normally (in active mode), the server establishes this connection. In passive mode, however, the client establishes the connection. This may be necessary through some firewalls, which do not allow connections from outside.
· Use XCRC when testing (if available) - if the server supports the XCRC extension Backup4all can verify that files transferred to the server have been transmitted correctly using the CRC information received from the FTP server. This results in faster testing, as the files will not be downloaded to perform the CRC testing.
· Timeout - you can set the time interval (in seconds) that is allowed for no data transfer before the transfer operation is interrupted and must be resumed.

Related Topics:

Destination - FTP


Full

Full backup is the starting point for all other backups, and contains all the data in the folders and files that are selected to be backed up. Because the full backup stores all files and folders, frequent full backups result in faster and simpler restore operations. This backup type is slow on large volumes of data, so it is recommended to be done periodically (each Week/Month) and in between to use other backup types like Incremental or Differential. The advantage is that you only need the result of one backup execution to make a full restore.

Type

Clear archive bit

If checked, the application will remove the Archive flag of the files that were added to the backup. By default Backup4all uses the current comparison criteria and the information from catalog file to detect if a file was modified or not since the last backup, which is more accurate than using only the Archive bit (as other backup programs do). However, if you want to backup files based only on the Archive bit attribute, you can change the comparison criteria from the Advanced->Backup window.

Limit maximum number of stored backups to

At each backup execution, a new backup number is created. In time backup numbers can grow. This option will ensure that the maximum number of stored backups will not exceed the specified number. The system will delete some of the older backup numbers, keeping the recent ones and ensuring backup integrity. The minimum number of backups you can store is 1.

Merge stored backups to maintain the maximum limit

This option is enabled when the first option is set. This option is important when you do not want to lose intermediate backups. The system first tries to delete older backup numbers. If this is not possible (because it will damage backup integrity) then the system will merge several backup numbers into one. Merging backup numbers is time consuming, because the zip files for the merged backup number are recreated.

These two options will not be taken into consideration if you make your backups on removable media.

Merging is not necessary when you have only backup numbers of type full or differential. The application uses an algorithm to minimize the number of backups that have to be merged. The algorithm works with mixed types of backups (full, incremental, differential) too.

Zip settings

Encryption

This feature provides an easy way to encrypt the zip files that are created. Files in zip can be extracted with third party zip managers if the user enters the same password as in the Encryption Settings window. Note that when using AES encryption, some older zip managers don't recognize this type of encryption.

Advanced

This button will open a new window where you can set the zip compression level, customized zip file names and zip file splitting policy. Read more on Zip Advanced Settings


Differential

A differential backup contains all files that have changed since the last full backup. The advantage of a differential backup is that it shortens restore time compared to a full backup or an incremental backup. However, if you perform the differential backup too many times, the size of the differential backup might grow to be larger than the baseline full backup. At the first backup execution the catalog was not created yet, so the application will perform a full backup. The rest of the backups contain only the files that differ from the latest full backup.

Type

Clear archive bit

If checked, the application will remove the Archive flag of the files that were added to the backup. By default Backup4all uses the current comparison criteria and the information from catalog file to detect if a file was modified or not since the last backup, which is more accurate than using only the Archive bit (as other backup programs do). However, if you want to backup files based only on the Archive bit attribute, you can change the comparison criteria from the Advanced->Backup window.

Limit maximum number of stored backups to

At each backup execution, a new backup number is created. In time backup numbers can grow. This option will ensure that the maximum number of stored backups will not exceed the specified number. The system will delete some of the older backup numbers, keeping the recent ones and ensuring backup integrity. The minimum number of backups you can store is 2.

Merge stored backups to maintain the maximum limit

This option is enabled when the first option is set. This option is important when you do not want to lose intermediate backups. The system first tries to delete older backup numbers. If this is not possible (because it will damage backup integrity) then the system will merge several backup numbers into one. Merging backup numbers is time consuming, because the zip files for the merged backup number are recreated.

These two options will not be taken into consideration if you make your backups on removable media.

Merging is not necessary when you have only backup numbers of type full or differential. The application uses an algorithm to minimize the number of backups that have to be merged. The algorithm works with mixed types of backups (full, incremental, differential) too.

Differential

Make full backup when the differential exceeds % of full backup size

In time, the size of the differential can outgrow the full version. For maximum efficiency, the size of the differential should be kept as small as possible. This option will trigger the creation of a full backup when a certain percentage of the full backup will be exceeded (default is 50%).

Make full backup when the differential exceeds

If this is checked, Backup4all will trigger the creation of a full backup when that custom size is reached (default is 1 megabyte).

Zip settings

Encryption

This feature provides an easy way to encrypt the zip files that are created. Files in zip can be extracted with third party zip managers if the user enters the same password as in the Encryption Settings window. Note that when using AES encryption, some older zip managers don't recognize this type of encryption.

Advanced

This button will open a new window where you can set the zip compression level, customized zip file names and zip file splitting policy. Read more on Zip Advanced Settings


Incremental

An incremental backup stores all files that have changed since the last full, differential or incremental backup. The advantage of an incremental backup is that it takes the least time to complete. However, during a restore operation, each incremental backup is processed, which could result in a lengthy restore job.

Type

Clear archive bit

If checked, the application will remove the Archive flag of the files that were added to the backup. By default Backup4all uses the current comparison criteria and the information from catalog file to detect if a file was modified or not since the last backup, which is more accurate than using only the Archive bit (as other backup programs do). However, if you want to backup files based only on the Archive bit attribute, you can change the comparison criteria from the Advanced->Backup window.

Limit maximum number of stored backups to

At each backup execution, a new backup number is created. In time backup numbers can grow. This option will ensure that the maximum number of stored backups will not exceed the specified number. The system will delete some of the older backup numbers, keeping the recent ones and ensuring backup integrity. The minimum number of backups you can store is 3.

Merge stored backups to maintain the maximum limit

This option is enabled when the first option is set. This option is important when you do not want to lose intermediate backups. The system first tries to delete older backup numbers. If this is not possible (because it will damage backup integrity) then the system will merge several backup numbers into one. Merging backup numbers is time consuming, because the zip files for the merged backup number are recreated.

These two options will not be taken into consideration if you make your backups on removable media.

Let's take an example. Suppose there is an incremental backup with 10 backups: backup number 1 is the oldest (full) and backup number 10 is the newest. Backup numbers 2-10 are all incremental.

If you limit the number of stored backups to 5 and do not check the Merge stored backup to maintain the maximum limit option, the system will first make a new incremental backup (11) based on the first full backup and then it will delete backup numbers from 2-10. Only 2 backup numbers will remain: 1 and 11. In this case backup number 11 will contain all the differences since the first full. So the maximum limit (5) is respected, but you could lose intermediate file versions. For example a file could have versions in backup number 2, 8 and 10, but only the version from 10 will be present in backup number 11. If the file would have changed since backup number 10, then the new version would be added in backup number 11.

If you limit number of stored backups 5 and check the Merge stored backup to maintain the maximum limit option, the system will first make a new backup (11) with the differences since backup number 10 and then it will merge backup numbers 2-8 into backup number 8, keeping the most recent version of each file present in those backup numbers. Finally the system will keep backup numbers 1, 8, 9, 10, 11 (a total of five as you configured).

Incremental

Make full backup when all increments exceed % of full backup size

In time, the size of the incremental can outgrow the full version. For maximum efficiency, the size of the incremental should be kept as small as possible. This option will trigger the creation of a full backup when a certain percentage of the full backup will be exceeded (default is 50%).

Make full backup when all increments exceed

If this is checked, Backup4all will trigger the creation of a full backup when that custom size is reached (default is 1 megabyte).

Zip settings

Encryption

This feature provides an easy way to encrypt the zip files that are created. Files in zip can be extracted with third party zip managers if the user enters the same password as in the Encryption Settings window. Note that when using AES encryption, some older zip managers don't recognize this type of encryption.

Advanced

This button will open a new window where you can set the zip compression level, customized zip file names and zip file splitting policy. Read more on Zip Advanced Settings


Mirror

A mirror backup is identical to a full backup, with the exception that the files and folders are not compressed in zip files and they cannot be protected with a password. A mirror backup is most frequently used to create an exact copy of the backup source data. The sources folder tree will be recreated in the destination.

This backup type is the fastest, provided that Fast mirror option is checked.

Type

Clear archive bit

If checked, the application will remove the Archive flag of the files that were added to the backup. By default Backup4all uses the current comparison criteria and the information from catalog file to detect if a file was modified or not since the last backup, which is more accurate than using only the Archive bit (as other backup programs do). However, if you want to backup files based only on the Archive bit attribute, you can change the comparison criteria from the Advanced->Backup window.

Fast mirror (copy only new or modified files)

Use this option to make mirror backups even faster. When this option is set, Backup4all uses the information stored in ".bkc" files to copy only new or modified files to the destination. If this option is not set, the system will copy all files each time the backup is executed. By default this option is checked.

Remove excluded or deleted files from backup

Use this option to remove from the backup the files that were deleted (or excluded) from the backup sources. When you select this option (unchecked by default), you'll get a warning message that the deleted files will be removed from the backup too - press Yes if you want to continue.

Versions

Create subfolder(s) in destination with following name

Use this option to create a subfolder in the destination. The name of the folder can be customized by pressing the Insert tags button. Following tags are predefined:

· Backup Name (<BACKUP NAME>)
· Backup Number (<BACKUP NUMBER>)
· Backup Type (<BACKUP TYPE>)
· Backup Date (<DATE>)
· Backup Time (<TIME>)
· Backup Year (<YEAR>)
· Backup Month (<MONTH_MMM>)
· Backup Month - numerical (<MONTH_MM>)
· Backup Week (<WEEK>)
· Backup Day (<DAY>)

You can also add your text in tag field. Use the Preview button to see how the name of the subfolder will look like.

Note that the Fast mirror option will be ignored if you choose to create subfolders in the destination with a different name each time.

The option is useful to store "snapshots" of the backup sources at different points in time. For example, if you insert a <DATE> tag in the Create subfolder(s) in destination with following name and schedule Backup4all to do a mirror backup daily, Backup4all will create every day a copy of your backup sources in a subfolder named as the date when the backup was executed. On the other hand, if you insert a <MONTH_MMM> tag and execute the backup daily, the first time your sources will be copied entirely in a subfolder named as the month when it was performed, but in the other remaining days of the month only the new or changed files will be copied in the same subfolder - when the month name will change another subfolder will be created and the procedure repeated.

Folder

Save full folder info

Sometimes there can be sources with the same names. The system will detect this conflict situation and will show a warning message.

To avoid files to be overwritten check the Save full folder info option. This will create the full path of the source in the destination.

For example, suppose we have the backup source "C:\My Documents\My Pictures". Without this option, only the My Pictures folder will be created and its subfolders. With this option set, the destination will contain the C folder, My Documents inside C folder, My Pictures inside My Documents folder and so on. By default this option is unchecked.

Copy files in a subfolder

If checked, the files will be copied in a subfolder of the destination folder (typically you will see a ".bkc" file and a folder with the same name). If the option is not set, the files (and folder structure) will be copied directly into the destination folder. By default this option is checked.

Splitting/Spanning

Allow file splitting when spanning

The option is effective only when there is not enough space in the destination to copy all files (removable media is full, USB drive is full, etc.). If checked, the application will copy files to the destination until a file will not fit. Then it will split that file and continue with the rest of it on the next disk. If the option is not set, files are not split. If you are backing up media files (music, movies) you should uncheck this option so that you will not have any melody/movie split. By default this option is checked.

Sort mirror files for optimized spanning

This option is useful when spanning the backup over multiple removable drives. If this is checked, Backup4all will sort the files by size (descending) before copying them on the removable drive. This way it will start with the larger files and put the smaller ones towards the end of the backup (optimizing the space used on the removable drive). By default this option is not checked.

Be aware that you can restore only from the latest version of a mirror backup from the Backup4all interface. You can restore however manually previous versions as they are accessible from any file manager, like Windows Explorer.


Advanced

This window contains special settings for zip file creation. The button is available only for full, incremental and differential backup types.

Prefix

Customize zip name prefix

Typically the name of the zip file is something like: "1_C.zip", "1_D.zip" etc. (one zip for each drive). The names of these zip files do not make much sense for the user but they can be customized by pressing the Insert tag button. Following tags are predefined:

· Backup Name (<BACKUP NAME>)
· Backup Number (<BACKUP NUMBER>)
· Backup Type (<BACKUP TYPE>)
· Backup Date (<DATE>)
· Backup Time (<TIME>)
· Backup Year (<YEAR>)
· Backup Month (<MONTH_MMM>)
· Backup Month - numeric (<MONTH_MM>)
· Backup Week (<WEEK>)
· Backup Day (<DAY>)

You can also add your text in the edit tag field. Use the Preview button to see how the names of the zip files will look like.

Windows does not allow the following characters in the file name: / \ * ? : < > |

Therefore Backup4all will prompt you to change these characters if present in the Customize zip name prefix field.

Split

Split type for zip archives

The first combo contains predefined values for the archive size. By default this option is set to Automatic: this means that the size of the zip is limited to the maximum file size allowed by the file system. Other predefined values are provided for floppy disks, zip disks and different CD media types.

Sometimes these predefined values are not enough. Therefore you can select Custom size in the combo and specify the maximum archive size you want. The minimum span size is 512 kilobytes. The value in the Size field means that each span should not exceed this value. However, because of the zip algorithm limitation, the system might create spans with size up to 32-64 kilobytes smaller than this value.

Create independent splits

This option is checked by default and it's recommended to leave it marked. If you have a large backup that spans over several removable media (CD/DVD, floppy) each spanned backup can be independently restored. Thus, if one of the spanned backup disks is corrupted you can still restore the other files.

Example: you have a backup that was spanned over 20 CDs, and you didn't leave the Create independent splits option checked. If you need to do a restore and one of the zip files is damaged, you lose all the data from the 20 CDs. Now, if the Create independent splits would have been checked, even if one zip file would have been damaged, the data from the other 19 could have been recovered.

Each zip file created with Backup4all can be extracted with standard zip utilities. However, when using the Create Independent Splits option and backing up a file big enough to be split into more than one zip file, you will need to perform an additional operation if you want to restore that file manually (without using Backup4all).

Compression

Level

You can set different compression levels for the backup:

· Zip without compression (Fastest) - files are just copied inside the zip archive, without any compression
· Low compression (Fast) - select this option if the size of the zip archive is not important, but the speed of the backup is
· Normal compression (Medium) - this is usually the best choice because it provides the optimum rate between zip archive size and the backup speed
· Best compression (Slow) - use this compression level to reduce the zip archive size as much as possible (the backup speed is reduced)

Use No compression or Low compression if you backup large files to speed up the backup process. Use High compression when you want to create the smallest archive possible. This option takes more time if the files included in archive are large.

Filter

The filter can be applied to increase the compression performance. It defines what types of files to be stored uncompressed in the zip file. These are files that are already compressed (e.g. zip, rar, mp3 or avi) and using the zip compression on them wouldn't result in a smaller sized backup. You can use the already defined file types or you can add others using the Default compression filter list in Tools->Options->Backup. The result will be that the backup will take less time when using compression.

Other

Always use temporary folder to create zip files

If checked, the zip files are created in the temporary folder and then moved to the destination folder. This means that there should be enough free disk space on the drive where the temporary folder is located.

When backing up to removable media (CD, DVD, floppy, zip disk, etc.) this option is ignored, the zip files are always created in the temporary folder and then copied to the destination. When backing up to internal hard drives or LAN, you should uncheck this option to speed up the backup execution. By default this option is not checked.

Use alternate zipping mode

If not checked (default zipping mode), each file is compressed in blocks that are immediately added to the final zip file. If checked (alternate zipping mode), each file is compressed in blocks in a temporary file. When the whole file is compressed in the temporary file, it is added to the final zip file.

This option has effect only when backing up to internal hard drives and LAN. In all other cases this option is ignored. When backing up to LAN drives, it is recommended to check this option and uncheck Always use temporary folder to create zip files option. When backing up to internal hard drives, it is recommended to uncheck both options. By default this option is not checked.

Related Topics:

Options - Backup


Encryption

This window contains special settings for zip file password protection. The button is available only for full, incremental and differential backup types.

Encryption method

No encryption

The zip files created are not protected by password for unauthorized access.

Zip(2) compatible encryption

This is the standard Zip 2.0 encryption: an older encryption technique that provides relatively weak security compared to AES encryption. Zip 2.0 encryption format cannot provide protection from individuals with access to specialized password recovery tools. Its advantage over AES encryption is the compatibility with all third party zip applications.

AES encryption(*)

This is the Advanced Encryption Standard, the best choice in zip protection, but recognized only by the latest version of third party zip applications.

Backup4all supports AES encryption in three different strengths:

· 128 bit (strong) - size of the encryption key is 128 bits. This provides significantly better security than standard zip 2.0 encryption.
· 192 bit (stronger) - size of the encryption key is 192 bits
· 256 bit (strongest) - size of the encryption key is 256 bits. This is the strongest encryption method for zip files and it provides the best security.

Password

New password

Manually enter the password you want to use for your zip files in this field

Confirm new password

Re-enter the password in this field to avoid typing errors.

Old password

This field is enabled only when the backup job already has a password. You can change the password only if you enter the old one in this field. This way only the owner of the backup will be allowed to change the password.

The system makes it possible to set different passwords for the same backup job, so the backup may contain zip files with different passwords.

Tips:

· when choosing a password, it is recommended that you use a combination of letters and numbers and at least 8 characters.
· Backup4all does not store passwords. Make sure that you remember all passwords that have been used for a backup job, or you will not be able to restore your files.


Filters

The Filters page defines files filters to be applied to backup sources. Only files and folders that match the filters will be added to backup. There are two types of file filters:

· Main - applies to all files and folders indicated as sources in the backup job
· Customize - allows you to override the main filter for a folder and its descendants

Main

The main filter is composed of an include filter and an exclude filter. By default all files are included and the exclude filter is deactivated.

The system selects only files that match the include filter and do not match the exclude filter. This means the exclude filter is more powerful: if a file satisfies both include and exclude filters, it will not be processed by the system.

Include and exclude filters are composed from filter restrictions. Two or more filter restrictions in the include filter means that a file must satisfy at least one restriction to be included in the backup. Two or more filter restrictions in the exclude filter means that a file must satisfy any restriction to be excluded.

Use include filter

By default it is checked, but no filters are defined. The Include all files text is shown in the list below. This means all files from the sources will be considered for inclusion.

Use exclude filter

By default it is unchecked, and no filters are defined. The Exclude no files text is shown in the list below. This means all files that pass the Include filter will be added to the backup.

You can disable the defined filters temporarily if you uncheck the Use include filter or Use exclude filter options. The backup engine will ignore the defined filters. You can always restore them by checking the options.

You can manage filter restrictions using the buttons :

· Add - this will open a new window from where you can add a new restriction to the list of include or exclude filters.
· Edit - will open the same window as Add, with the selected filter's properties. You will be able to modify the selected restriction.
· Remove - will delete the selected filter from the list of include or exclude filters.

Customized

Click on the Customize button on top of the window. It will show a tree with all sources defined for the backup job.

When a folder is selected, the Override button from the bottom is activated (this is activated only for folders, not for individual files). This means you can replace the main filter with a customized one. The customized filter is valid only for the selected folder and its descendants. Click the Override button to define the customized file filter. This will open a window similar to the Main filter page. You can define include or exclude filters in this window just as you do in the Main filter page.

All files and folders for which a customized filter is applied are shown in red color. You can remove the customized filter by selecting the folder and clicking the Remove Override button.

Related Topics:

File Filtering - File Filter

Restore Wizard - Filters

New Backup Wizard and Backup Properties- General

New Backup Wizard and Backup Properties- Sources

New Backup Wizard and Backup Properties- Destination

New Backup Wizard and Backup Properties- Advanced

New Backup Wizard and Backup Properties- Scheduler


Backup

Options on this page affect the way a particular backup job is executed. Options that are marked with (*) might not be available in your edition - check Feature Matrix for detailed information on differences between editions.

Comparison

Comparison criteria

Selected by default, shows the current attributes used to determine which files will be backed up. By pressing the Change Criteria button a new window will open with special settings for advanced file comparison. You can set what properties of a file will be used when deciding if a file was modified or not.

Legacy (using archive bit)

If this is selected, Backup4all will determine which files will be backed up by verifying if the archive bit attribute is set. If the archive bit attribute for a file is not set, that file will be ignored (even if its size was modified for instance). Our recommendation is to use the Comparison criteria option since it's more accurate than using the archive bit alone.

Options

Use local catalogs (.bkc)

If this option is checked, Backup4all will keep a local copy of the backup catalog for the current backup job. Keeping a local copy of the catalog is recommended in most cases, except when using a backup rotation scheme to back up to CD/DVD, USB or external drives.

Example: the option Use locals catalogs is unchecked and you are performing an incremental backup to DVD, but on each working day you're changing the DVD so that if one DVD fails you'll still be able to recover most of your files. So on Monday you insert DVD 1, Backup4all runs and performs a full backup. On Tuesday you insert DVD 2 (which is empty) and Backup4all performs a full backup that includes all the data that's on DVD 1 plus the data that was added in between.

Now, if the Use local catalogs option would have been checked, Backup4all would have executed on DVD 2 an incremental backup because of the full backup already executed on DVD 1.

Test after backup

If this option is set Backup4all will test the resulting backup for data integrity after every backup process. Only the latest backup number will be tested after the backup execution. If you wish to test other backup numbers you can do so from the Test Backup window.

Delete sources after successful backup (*)

If this option is checked the backup sources will be deleted after performing the backup. Only the files will be deleted.

This option is disabled if the Test after backup option is not enabled.

Delete empty folders after successful backup (*)

If this options is checked the empty source folders will be deleted after performing the backup.

Ask for backup label before execution

If this option is set a window will be shown and will prompt the user to enter the label description of the backup increment .

If you do not want to give a label to the current backup, leave the edit control empty. Check the Don't label next backups if you do not want to see this window when the current backup job is executed in the future. This feature is particularly useful for incremental backup types, when the label can be seen as a milestone for all files backed up. These labels are visible on the Versions page of the Restore Wizard and in the list of file versions in the Explore view.

Backup open files (XP/Win2003 Server/Vista only)

If this option is checked, Backup4all will use the Volume Shadow Copy service to back up local open files from NTFS partitions in Windows XP, Windows 2003 Server or Windows Vista. This way you can back up files that are in use (for example your .pst file without closing Ms Outlook).

Backup execution priority

Backup execution priority

Using the slider you can set the backup execution priority compared to the rest of the running processes on your system. Setting it to Highest priority, for instance, will determine the system to allocate most of its resources for this backup execution.

Volume label

Use default labeling

If this option is set, the system will generate labels for each removable media with the following pattern: "<BACKUP NAME><DISK SPAN>_<BACKUP NUMBER>":

· <BACKUP NAME> is the name of the backup job as shown in the General page
· <DISK SPAN> is the number of disk span in the current backup
· <BACKUP NUMBER> is increased at each backup job execution

For example "Myfiles2_3" is for the third execution of the Myfiles backup job, second disk span.

Volume label prefix

The prefix can be maximum eight characters long. This option is useful only for removable media (like CD/DVD, ZIP disks, floppy disks etc.) and is disabled when Use default labeling is checked.

Related Topics:

Options - Backup

Change Comparison Criteria


Comparison Criteria

The Comparison Criteria window contains special settings for advanced file comparison.

There is a list of quick sets to choose for predefined comparison criteria:

· None - if this is selected, a warning window is shown asking you to confirm if you want the Date modified criteria disabled or not. If this criteria is disabled, Backup4all will only backup files that have the size changed.

Custom - this is the default option and has several important file properties and attributes selected as comparison criteria (Size, Date modified, Date created, Archived, Hidden, System, Read-Only).

· Archive attribute only - if this is selected, a warning window is shown asking you to confirm if you want the Date modified criteria disabled or not. If this criteria is disabled, Backup4all will only backup files that have the archive attribute changed.
· FAT attributes - if this is selected, a set of File Allocation Table attributes will be used for comparison
· NTFS attributes - if this is selected, a set of NTFS (New Technology File System) attributes will be used for comparison. Note that these attributes are available only on Windows NT, Windows 2000, Windows XP, Windows Server 2003 and Windows Vista. Windows version 95, 98, 98SE and ME, cannot natively read NTFS file systems, thus these attributes are disabled.

Available file properties are:

· Size - file size (it is mandatory)
· Date modified - the latest date and time when the file was modified (a warning message is displayed if you uncheck it)
· Date created - the date and time when the file was created
· CRC32 - the most comprehensive criteria because it calculates a checksum based on file contents and compares it with the checksum from the backup (this slows the process)

Available file attributes are:

· Read-Only - file can be read, but not modified or deleted
· Archived (unavailable when the Clear archive bit option is checked from the Backup Properties->Type window) - file attribute used for backup. When a file is created, the archive bit is turned on. When a backup program copies the file, it turns off the archive attribute.
· Hidden - files marked Hidden do not normally display unless the file manager option to display them is selected
· System - files marked System do not normally display unless the file manager option to display them is selected
· Compressed (only NTFS) - file that is made generally much smaller than the original size of file. Decompression occurs automatically when the file is read. The file is compressed again when it is closed or saved.
· Temporary (only NTFS) - the file is being used for temporary storage.
· Encrypted (only NTFS) - file is encrypted on a NTFS volume to protect it from unauthorized access
· Not indexed (only NTFS) - file not indexed by the content indexing service
· Offline (only NTFS) - content of the file is not immediately available. This attribute indicates that the file data has been physically moved to an offline storage.
· Reparse point (only NTFS) - reparse points are used as building blocks by Microsoft and third-parties to enhance NTFS file system behavior.
· Sparse file (only NTFS) - in a sparse file, large ranges of zeroes may not require disk allocation. Space for nonzero data will be allocated as needed as the file is written.

If you select more than one attribute, Backup4all will consider the file for backup if any of the attributes selected is changed.

Related Topics:

New Backup Wizard and Backup Properties - Advanced


Actions

For each backup job you can set actions to be executed before and/or after backup. There are several predefined actions and you can also enter a path to a file. If this is an executable (".exe", ".com", ".bat", etc.) Backup4all will run it, if it is another type of file (".txt", ".doc", etc.) the application will open that file. You can run complex scripts by building a ".bat" file and run it before and/or after backup.

Before backup

Run program/action (before backup)

Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the browse button to browse for the file. Backup4all waits until the action is finished before proceeding with the actual backup process.

The <Clear backup> predefined action deletes the ".bkc" file and all zip files associated with the current backup job. If this action is set, then the backup performed is a full backup, even if the backup type is set to incremental or differential. You can customize it with the following parameters (numbers can be changed as necessary):

· <Clear backup d=7> - Clear backup is executed only if 7 days have passed since the first backup increment (the full backup).
· <Clear backup n=10> - Clear backup is executed only if the number of file versions is 10.
· <Clear backup d=7 n=10> - Clear backup is executed if 7 days have passed since the first backup increment (the full backup) or if the number of file versions is 10.
· <Clear backup dw=1,2,7> - Clear backup is executed only in the first, second and seventh day of the week (Monday, Tuesday and Sunday in the given example). Valid values: 1-7 (if a parameter outside of these values is set, it will be ignored).
· <Clear backup dm=23, 30> - Clear backup is executed only in the 23rd and 30th day of the month. Valid values: 1-31 (if a parameter outside of these values is set, it will be ignored, same as using the value 31 for a month having only 30 days).

Run only once (before backup)

If this option is set, the action will run only once at the next backup execution and the Run program/action (before backup) option will be reset and disabled afterwards.

After backup

Run program/action (after backup)

Check this option and select one of the predefined actions or choose a different executable file. You can either enter directly the path to the program (has to be between quotes) or click the browse button to browse for the file. Backup4all does not wait for the action to be finished before proceeding.

Available predefined actions:

· <Stand by> - The computer will enter in the Stand by state after the backup is executed.
· <Hibernate> - Computer enters in Hibernate (if available) after the backup execution.
· <Log off> - Logs off current user.
· <Shut down> - Shuts down the computer after the backup was executed.

Run only once (after backup)

If this option is set, the action will run only once at the next backup execution and the Run program/action (after backup) option will be reset and disabled.


Sounds

Use this section to set sound notifications to be played when the backup is finished. There are three types of sound notifications depending on the backup status: success, warning and error.

Enable sound notification

If checked then success, warning and error sounds will be played at the end of the backup. By default this option is not checked.

Success

It indicates the sound that will be played when the backup is finished with success. The default sound is <Default beep sound>, but you can change it using the Open button browse. If you press the Play button play-btn you can hear the selected sound file. To disable this sound you can select from the drop-down box <No success sound>.

Warning

It indicates the sound that will be played when the backup is finished with warnings. The default sound is <Exclamation sound>, but you can change this using the Open button browse. If you press the Play button play-btn you can hear the selected sound file. To disable this sound you can select from the drop-down box <No warning sound>.

Error

It indicates the sound that will be played when the backup has failed because of an error. The default sound is <Asterisk sound>, but you can change this using the Open button browse. If you press the Play button play-btn you can hear the selected sound file. To disable this sound you can select from the drop-down box <No error sound>.

Open sounds

This button will open the standard Sounds and Multimedia Properties->Sounds window of the operating system (that can also be opened from the Control Panel). You can use this to configure or troubleshoot your sounds settings.


Emails

Use this section to set email notifications to be sent when the backup is finished. There are three types of email notifications depending on the backup status: success, warning and error email notifications.

Send email notification to

If checked then notification emails will be sent at the end of the backup or test operation to the specified email addresses (email addresses must be separated by comma to be recognized). This option can be checked/unchecked only if the Tools->Options->Email window has the Enable email notification option checked.

Backup

Success

It indicates the email that will be sent when the backup is finished with success. The default email is <Default success email>, but you can change it using the Open button browse. If you press the Edit button edit-btn you can modify the selected email file (except the default email). Also there is the option to choose <No success email> if you don't want Backup4all to send an email if a backup was successful.

Warning

It indicates the email that will be sent when the backup is finished with warnings. The default email is <Default warning email>, but you can change this using the Open button browse. If you press the Edit button edit-btn you can modify the selected email file (except the default email). Also there is the option to choose <No warning email> if you don't want Backup4all to send an email if a backup was completed and there were warnings during execution.

Error

It indicates the email that will be sent when the backup has failed because of an error. The default email is <Default error email>, but you can change this using the Open button browse. If you press the Edit button edit-btn you can edit the selected email file (except the default email). Also there is the option to choose <No error email> if you don't want Backup4all to send an email if there were errors during the execution of the backup.

Test

Success

It indicates the email that will be sent when the test operation is finished with success. The default email is <Default success email>, but you can change it using the Open button browse. If you press the Edit button edit-btn you can modify the selected email file (except the default email). Also there is the option to select <No success email> if you don't want Backup4all to send an email if a test operation was successful.

Error

It indicates the email that will be sent when the backup has failed because of an error. The default email is <Default error email>, but you can change this using the Open button browse. If you press the Edit button edit-btn you can modify the selected email file (except the default email). Also there is the option to select <No error email> if you don't want Backup4all to send an email if there were errors during the test operation.

Customizing emails

If you want to create a customized email to be sent (on success/warning/error), the email template will have to include special tags that Backup4all will recognize and replace according to the description (note that the format of the tag must be <#tag_name>):

· <#BACKUP_NAME> - will insert the name of the executed backup job
· <#GROUP_NAME> - will insert the name of the backup group
· <#SOURCES> - will insert the sources of the executed backup
· <#DEST_DRIVE> - will insert the destination drive letter
· <#DEST_DRIVE_TYPE> - will insert the destination drive type
· <#DEST_FOLDER> - will insert the name of the destination folder
· <#DEST_CATALOG_FILE> - will insert the name of the catalog file created
· <#BACKUP_TYPE> - will insert the backup type that was performed
· <#SCHED_NEXT_EXECUTION> - will insert the next scheduled execution
· <#BACKUP_START_TIME> - will insert the start time of the backup executed
· <#BACKUP_END_TIME> - will insert the end time of the backup executed
· <#TEST_START_TIME> - will insert the start time of test
· <#TEST_END_TIME> - will insert end time of test
· <#LAST_BACKUP_SIZE_COMPR> - will insert the resulted size of the last backup
· <#TOTAL_BACKUP_SIZE> - will insert the total backup size
· <#REMAINING_DISC_SPACE> - will insert the remaining space on the destination drive
· <#NBR_FILES_ADDED> - will insert the number of files added to the backup
· <#SIZE_FILE_ADDED> - will insert the size of the added files
· <#NBR_FILE_WARNINGS> - will insert the number of warnings
· <#NBR_ERRORS> - will insert the number of errors
· <#LAST_LOG_NAME> - will insert the name of the last log file
· <#EXCLUDED SOURCES> - will insert the list of sources excluded
· <#TESTED_VERSIONS> - will insert the list of tested backup numbers
· <#TEST_SUMMARY> - will insert the detailed list of test backup numbers

For an example of tag usage, open one of the 3 default emails. The emails are stored in text format in application's directory (i.e. "C:\Program Files\Softland\Backup4all 3\") with the following filenames: SuccessFullEmail.txt, WarningFullEmail.txt, ErrorFullEmail.txt for backup emails and TestSuccessFullEmail.txt and TestErrorFullEmail.txt for test emails.

Other

Attach backup log file to email

If this option is checked, the backup log file will be attached to the email.

Compress the log file

Option is active only if Attach backup log file to email option is checked. If this option is enabled, Backup4all will zip the log file before sending it. Additionally you can encrypt the log file using the Log file encryption.

Related Topics:

Options - Email

Log file encryption


Log file encryption

This window contains special settings for log compression protection. It is opened when you press the Log file encryption button from the Advanced->Emails window of the New Backup Wizard or of the Backup Properties window.

Encryption method

No encryption

The zipped log file created is not protected by password for unauthorized access.

Zip(2) compatible encryption

This is the standard Zip 2.0 encryption: an older encryption technique that provides relatively weak security compared to AES encryption. Zip 2.0 encryption format cannot provide protection from individuals with access to specialized password recovery tools. Its advantage over AES encryption is the compatibility with all third party zip applications.

AES encryption(*)

This is the Advanced Encryption Standard, the best choice in zip protection, but recognized only by the latest version of third party zip applications. Backup4all supports AES encryption in three different strengths:

· 128 bit (strong) - size of the encryption key is 128 bits. This provides significantly better security than standard zip 2.0 encryption.
· 192 bit (stronger) - size of the encryption key is 192 bits
· 256 bit (strongest) - size of the encryption key is 256 bits. This is the strongest encryption method for zipped log file and it provides the best security.

Password

New password

Manually enter the password you want to use for your zipped log file in this field. If you enter a password with less than 8 characters, a warning window will be displayed when you click Ok notifying that the password is not secure enough.

Confirm new password

Re-enter the password in this field to avoid typing errors.

Old password

This field is enabled only when the log file encryption already has a password. You can change the password only if you enter the old one in this field. This way only the owner will be allowed to change the password.

Tips:

· when choosing a password, it is recommended that you use a combination of letters and numbers and at least 8 characters.
· Backup4all does not store passwords. Make sure that you remember the password used, or you will not be able to extract the log file.


Scheduler

Scheduler lists all the available information about the scheduled backup jobs and allows you to Add, Edit, Delete and Schedule new backups. This only applies to the current backup job.

Right-clicking an existing scheduled backup (or using the top buttons) will display the following options:

· Add - opens the Schedule Job window and allows you to add a new scheduled backup
· Edit - opens the Schedule Job window where you can edit selected backup's options
· Delete - removes the selected scheduled backup
· Schedule - opens the Windows Scheduled Tasks properties window that allows you to set the time and frequency for the selected scheduled backup.
· Refresh - refreshes the scheduled backups list

There are several columns in the Schedulers window that provide information for each scheduled backup:

· Enabled - if the checkbox is marked then the scheduled backup will run, if is unchecked it will not be executed
· Action - shows the type of action associated with the scheduled backup (full, differential, incremental, default)
· Job Name - shows the backup job name assigned by the scheduler
· Status - displays the status of the scheduled backup
· Next Run Time - calculates the date and time when the scheduled backup will run next
· Last Run Time - shows the date and time when the scheduled backup last ran
· Schedule - shows the type of schedule selected for the backup job

The scheduled backups in the list can be sorted by clicking on the column headers. The right-click menu on the column header provides a handy way to show/hide columns (except the Enabled and Name columns which are grayed out).

Other options:

· Show warning and error messages - If this option is checked, after a backup job executed with errors/warnings, a window will prompt the user that there were errors/warnings and give an option to open the log file for more details.
· Abort backup when network sources are not available - If this option is checked the backup will be aborted when using sources from unavailable network files
· Ask for user input when backup cannot continue - If this is checked, the scheduled backup job will be paused when errors/warning occur and the user will be prompted to take an action (skip/retry/continue).

Backup4all uses by default the Windows Task Scheduler in order to run the scheduled backups so you need to make sure that the Task Scheduler service is enabled on your computer. Use the Windows Help in order to find out more information about scheduling a task using the Task Scheduler. If you don't want to use the Windows Task Scheduler, you can use Backup4all's standalone scheduler by selecting Use Standalone Scheduler.

Related Topics:

Scheduler - Scheduled Jobs

New Backup Wizard and Backup Properties- General

New Backup Wizard and Backup Properties- Sources

New Backup Wizard and Backup Properties- Destination

New Backup Wizard and Backup Properties- Filters

New Backup Wizard and Backup Properties- Advanced

Options - Backup


Schedule Job

The Schedule Job window will be displayed when you click on the Add or Edit button in the main Scheduler window.

Execute backup using

Main application

This is the option set by default. If Backup4all is closed when a scheduled backup needs to be executed, the main application starts and the backup runs. Furthermore, if the b option is checked, Backup4all will be closed after the backup job is executed.

Command line application

Backup4all has also a command line version. If this option is selected, instead of the main application window a command line window will appear when a scheduled backup runs. After the backup finishes the window is closed. However, if you want this to be executed in the background, you can check the Hide Window option.

Run

Backup job

Option selected by default and the other options (Backup group and One Touch Backup) are grayed out

Clear backup before run

If this is checked, Backup4all will first delete the ".bkc" file and all zip files associated with the current backup job and after that execute the scheduled task

Action

You can select an action to perform when the scheduled task runs:

· Default - executes the default backup type defined in the backup job
· Full - executes a full backup, no matter what the backup type defined in the backup job is
· Differential - executes a differential backup, no matter what the backup type defined in the backup job is
· Incremental - executes an incremental backup, no matter what the backup type defined in the backup job is
· Load - at the scheduled date it opens Backup4all and selects the backup job
· Test - you can schedule a test operation instead of a backup. When Test is selected, the Backup Numbers box is displayed bck-number . You can type in there the backup numbers you want to test. The order you type them in is the order they will be tested in. Use the * character to test all backup numbers, or the # character to test only the last backup.

Erase disk before backup

This option is displayed only when the destination of the backup job is on removable media. If this is checked, Backup4all will first erase the disk (if supported) and after that execute the scheduled task

Scheduler

Use Windows Scheduler

If this is selected, the backup jobs will be scheduled and executed using the internal scheduler from Windows. Over the standalone scheduler (Backup4all's internal scheduler), the Windows Scheduler has the advantage of being able to run the backup job even if there is no user logged in or if the computer is in hibernation/stand by.

User account

In this field, by default, the current logged in user's log in name will be displayed. If your user account has a password make sure that you enter it by pressing the Set password button. We do not save your password but it is needed in order to set up the scheduled task in the Windows Task Scheduler. If your user account does not have a password you must select the Allow blank passwords when scheduling option from Tools->Options->General. Also, make sure that you enter the correct password - if the password is wrong the scheduled task will not run.

Use standalone scheduler

If this is selected, the backup jobs will be scheduled and executed using Backup4all's internal scheduler. If this option is selected, the User account field is grayed out since the Windows login username/password are not required. Using the standalone scheduler backups cannot be executed if there is no user logged in to Windows. To be able to run backups when no user is logged in you have to use the Windows Scheduler option.

Run at system shutdown

If this is selected, the backup job will be executed when the shutdown command is started. Backup4all intercepts the shutdown message and there is no way to know if a restart or a shutdown was requested. This is why it will always shutdown your computer after the backup is executed.

Related Topics:

New Backup Wizard and Backup Properties - Scheduler

Options - General


General

Using the Restore Wizard you can restore from a backup job. In the first step you can choose the destination, the priority of the execution and customize the restore operation if you wish.

Restore in

Use original location

Copies the files from the zip backup into the original location. If a file with the same name already exists, a dialog will be shown prompting for an action before the restore can continue.

Choose another location

Copies files from the zip backup to a different folder. If selected, you can choose a different folder to restore files from the backup.

Do not create drive letter folder

If checked, Backup4all will restore the files in the designated location using the original directory structure. If you select this option and you have files from multiple drives, some files might get overwritten. For example, if you backed up your Documents and Settings folder from your C drive, when you restore it to a different location having the Do not create drive letter folder unchecked, Backup4all will first create a folder named C and in it place the Documents and Settings folder. If you would have checked the Do not create drive letter folder option, the folder named C wouldn't have been created.

Restore execution priority

Using the slider you can set the restore execution priority compared to the rest of the running processes on your system. For example, setting the priority to Highest priority, will determine the system to allocate most of its resources for the restore execution.

Restore type

Full

Backup4all will restore the latest version for all the files in the backup.

Basic

Backup4all will restore the latest version for all the files in the backup. You will be able to filter the files using the Preview page.

Standard

Backup4all will restore the latest version of the files. Files that are excluded from backup are not restored. Check the status of the files in the Explore view of the main screen.

Advanced

Lets you specify which version of the files will be restored. For example, you might restore all files in their original state from the first backup number.

Related Topics:

Restore Wizard - Versions

Restore Wizard - Filters

Restore Wizard - Preview

Restore Wizard - Summary


Versions

This is the second step of the Restore Wizard if the Advanced restore type was chosen.

The purpose of this step is to let you select versions to restore. Use left mouse clicks together with SHIFT and/or CTRL keys to select several the backup numbers to restore. The most recent version of a file in the selected backup number will be restored. If you select all backup numbers, then a full restore is performed just as the Standard restore.

Information provided for each version:

· Type - Type of the Backup. Each of the backup types is represented by a descriptive icon: Full, [image] Incremental, [image] Differential, [image] Mirror
· Backup No. - Number of the backup increment
· Backup Time - Date and time when the version was added to the backup
· File No. - Number of files in the backup
· Total Size - Size of the file version
· Label - Label of the backup number. This column is hidden by default

Always restore last available version (even if excluded or deleted)

If this option is checked, the latest version of all files will be restored, even if these files were excluded from the backup.

Related Topics:

Restore Wizard - General

Restore Wizard - Filters

Restore Wizard - Preview

Restore Wizard - Summary


Filters

This is the second step of the Restore Wizard for Standard restore type. For Advanced restore type, this is the third step. You can filter the files to be restored.

Its behavior is the same as the Filters page of the New Backup Wizard or the Backup Properties window, except that the process is restore and not backup.

The Filters page defines files filters to be applied to files that are going to be restored. Only files and folders that match the filters will be restored. There are two types of file filters:

· Main - applies to all files and folders from the backup destination
· Customize - allows you to override the main filter for a folder and its descendants

Main

The main filter is composed of an include filter and an exclude filter. By default all files are included and the exclude filter is deactivated.

The system selects only files that match the include filter and do not match the exclude filter. This means the exclude filter is more powerful: if a file satisfies both include and exclude filters, it will not be processed by the system.

Include and exclude filters are composed from filter restrictions:

· two or more filter restrictions in the include filter means that a file must satisfy at least one restriction to be restored.
· two or more filter restrictions in the exclude filter means that a file must satisfy any restriction to be excluded.

Use include filter

By default it is checked, but no filters are defined. The Include all files text is shown in the list below. This means all files from the backup destination will be considered for restore.

Use exclude filter

By default it is unchecked, and no filters are defined. The Exclude no files text is shown in the list below. This means all files that pass the Include filter will be restored.

You can disable the defined filters temporarily if you uncheck the Use include filter or Use exclude filter options. The restore engine will ignore the defined filters. You can always check the options again to apply filters.

You can manage filter restrictions using the buttons :

· Add - this will open a new window from where you can add a new restriction to the list of include or exclude filters.
· Edit - will open the same window as Add, with the selected filter's properties. You will be able to modify the selected restriction.
· Remove - will delete the selected filter from the list of include or exclude filters.

Customized

Click on the Customize button on top of the window. It will show a tree with all backed up files from the destination.

When a folder is selected, the Override button from the bottom is activated (this is activated only for folders, not for individual files). This means you can replace the main filter with a customized one. The customized filter is valid only for the selected folder and its descendants. Click Override to define the customized file filter. This will open a window similar to the Main filter page. You can define include or exclude filters in this window just as you do in the Main filter page.

All files and folders for which a customized filter is applied are shown in red color. You can remove the customized filter by selecting the folder and clicking the Remove Override button.

Related Topics:

File Filtering - File Filter

File Filtering - Overview

New Backup Wizard - Filters

Restore Wizard - General

Restore Wizard - Versions

Restore Wizard - Preview

Restore Wizard - Summary


Preview

This is the third step of the Restore Wizard for Standard restore type, the second step for Basic restore type and the fourth step for Advanced restore type. The purpose of this step is to show a preview of the files that will be restored and to allow further customization of the files to be restored.

For Advanced restore type, files and folders shown in the tree are calculated based on selected backup versions. Files that have not been backed up in the selected backup versions will not be shown in the tree. Selecting all backup versions in the Advanced restore type is the same as making a Standard restore.

Each file and folder in the tree has a checkbox in front of it. Initially, the checkbox's state is determined by the file filters that have been previously defined. If a file or folder was excluded by the file filter, it will not be checked. Only the checked files will be restored. You can alter the state of the check boxes to indicate whether the file or folder will be restored or not. The items displayed in red have Override filters applied.

Reset to filters:

· Reset Node - this option resets the selected folder and subfolder's check state to the one determined by the file filters
· Reset Tree - this option resets the entire tree state, to its original check state as determined by the file filters

Related Topics:

Restore Wizard - General

Restore Wizard - Versions

Restore Wizard - Filters

Restore Wizard - Summary


Summary

This is the last step of the Restore Wizard.

It shows a summary of the options you chose through the wizard:

· General
· Restore in
· Restore priority
· Restore type
· Versions
· Filters
· Main
· Include filter
· Exclude filter
· Customize

This step shows a text description with all configurations made for the restore process. You should read and check if the configuration made is what you need. You can select all text and put it in a file for later use. Press Finish to start restoring files.

Related Topics:

Restore Wizard - General

Restore Wizard - Versions

Restore Wizard - Filters

Restore Wizard - Preview


Overview

File filtering in Backup4all provides an intuitive way to define what files and folders to back up or restore.

Select Folders and Files for filtering

The Add button is used for adding a file or a folder. If you add a folder it means that all its files and subfolders will be filtered.

After applying filters, each file and folder is shown in the tree with a checkbox in front of it. If you uncheck it, the file or folder will be excluded from the backup or restore process.

Filter

The role of the filter is to restrict the files from the sources or destination that will participate in the backup or restore process. The filter actually consists of two filters: the include filter and the exclude filter.

Include filter shows which files will be included in the backup o restore process.

Exclude filter shows the files that will be excluded from the backup or restore. If it's not activated it means that no files will be excluded.

By default, the include filter is checked (set for Include all files) and the exclude filter is disabled. If no filters are defined, then all the files and folders from the sources will be backed up or restored.

Filter Override

There are special situations when the main filter is not enough to define the files to be backed up or restored. In this case, you can define individual filters for folders. The overridden filter applies to all the files and subfolders of that folder. All files and folders for which a customized filter is applied are marked with red.

To remove a customized filer, select the folder and press the Remove Override button.

Related Topics:

File Filter

New Backup Wizard and Backup Properties - Filters


File Filter

The Edit file filter item window is shown every time a file filter restriction is added or modified. It can be opened by pressing the Add button from the Filters page (New Backup Wizard, Backup Properties or Restore Wizard window) or the Edit button (if filters are already defined).

File name

This section provides the possibility to build restrictions based on file names and extensions. You can use wildcards to define file patterns. All file name patterns that you added are listed in the list box on the left side. If a restriction is added with two or more file patterns, the files matching any of the two patterns are selected.

Filter by name

Enabling this will allow defining filters based on file/folder name patterns.

Select an existing file extension from the Filter combo (*.doc, *.pdf, *.zip etc.) and click on the Add button to add it. If the extension does not exist in the combo, just type it in and add it to the list using the same button. You can use the Replace or Delete buttons to modify/remove the file name filters defined.

File name patterns can include:

· * - it matches one or more letters. For example a*.doc matches all files that start with a and have .doc extension
· ? - it matches only one letter. For example a*.do? matches all files that start with a and have any extension composed of three letters, the first two being do

Backup4all allows you to apply filters to entire directories too. To do that, in the Filter field dirname-filter, enter the directory name that you want to filter in the following format: *\directory_name\* (leading *\ and ending \* are required). Backup4all will apply the filter to all the directories that are called directory_name. If you want to apply the filter to directories containing a specific word, you must enter it in the following format *\*keyword*\*. Now Backup4all will apply the filter to all the directories that have the word keyword in their names. Once you've written the desired combination, press on Add and then Ok to apply the filter.

Apply filter on full file path

If this is checked, the filter you added will be applied to the entire path of the file. For example, let's assume that you want to back up (or restore) a directory called Documents from your C partition (whose path would be "C:\Documents") and that in this directory you have a folder called Demo with a test.exe file in it.

If you apply an exclude filter for *.exe files and the Apply filter on full file path is checked, not only the file test.exe will be excluded from the backup (or restore), but the entire path ("C:\Documents\Demo\test.exe" in this case) will be excluded.

File attributes

This section allows the user to specify file filters depending on the file attributes. To enable the filter options in this section you have to check the Filter by attributes option.

There is a list of quick sets to choose for predefined comparison criteria:

· None - if this is selected all the file attributes check boxes are unchecked
· Custom - this is the default option and allows you to check whatever attributes you want
· FAT attributes - if this is selected, a set of File Allocation Table attributes will be used for file filtering
· NTFS attributes - if this is selected, a set of NTFS (New Technology File System) attributes will be used for comparison. Note that these attributes are available only on Windows NT, Windows 2000, Windows XP, Windows Server 2003 and Windows Vista. Windows version 95, 98, 98SE and ME, cannot natively read NTFS file systems, thus these attributes are disabled.

File attributes available for file filters:

· Read-Only - if checked files with read-only attribute will be selected
· Archived - if checked files with archived attribute will be selected
· Hidden - if checked files with hidden attribute will be selected
· System - if checked files with system attribute will be selected
· Compressed (only NTFS) - if checked files with compressed attribute will be selected
· Temporary (only NTFS) - if checked files with temporary attribute will be selected
· Encrypted (only NTFS) - if checked files with encrypted attribute will be selected
· Not indexed (only NTFS) - if checked files with "not indexed" attribute will be selected
· Offline (only NTFS) - if checked files with offline attribute will be selected
· Reparse point (only NTFS) - if checked files with reparse point attribute will be selected
· Sparse file (only NTFS) - if checked files with sparse file attribute will be selected

For example, if you want to include files with read-only and archived attributes set, you have to check both attributes checkboxes in a single restriction. If you want to include files with read-only or archived attributes set, you have to make two separate restrictions: one for read-only and another for archived.

File dates

This section allows the user to build restrictions based on file dates and times. To enable options in this section, check the Filter by date option.

Filters in this section can be applied by selecting one of the available date filters:

· date accessed
· date and time accessed
· date modified
· date and time modified
· date created
· date and time created

You can compare these dates and times with a fixed date or a relative date: today, yesterday, one week ago or one month ago.

Comparison operators available:

· < > date (and time) not equal to fixed or relative date
· < = date (and time) less than or equal to fixed or relative date
· > = date (and time) greater than or equal to fixed or relative date
· < date (and time) less than fixed or relative date
· > date (and time) greater than fixed or relative date
· in interval - date (and time) in a particular time interval between the Start date and End date

File size

This section provides the possibility to build restrictions based on the file size. To enable the options in this section, check the Filter by size option. You can enter a file size in the Size field and select a measurement Unit. The filter will compare the file size on disk with the size you enter using the comparison filters you selected:

· < > file size on disk not equal to the value in the Size field
· < = file size on disk less than or equal to the value in the Size field
· > = file size on disk greater than or equal to the value in the Size field
· < file size on disk less than the value in the Size field
· > file size on disk greater than the value in the Size field

Example

Suppose you want to backup (or restore) all .pdf files accessed in the last month and all .doc files modified in the last week, but you don't want to backup (or restore) system or hidden files.

Here are the steps to define this filter starting from the default filter:

1) Add a new restriction in the include filter: check Filter by name, define and add *.pdf file pattern and set date accessed to be greater than or equal to fixed date one month ago; click OK
2) Add a new restriction in the include filter: add *.doc file pattern and set date and time modified to be greater than or equal to fixed date one week ago; click OK
3) Check Use exclude filter.
4) Add a new restriction in the exclude filter: check Filter by attributes and the System checkbox, then click OK
5) Add a new restriction in the exclude filter: check Filter by attributes and the Hidden checkbox, then click OK

Related Topics:

New Backup Wizard and Backup Properties - Filters

File Filtering - Overview

Restore Wizard - Filters


Command Line Parameters

Backup4all can be started with various command line parameters to execute different actions on backup jobs or groups, load backup jobs, run the application minimized to tray or run the backup configured for the One Touch Backup button. The parameters can be used to create shortcuts which start actions automatically or load directly a specified backup job. Also if your One Touch Backup button device is not detected by Backup4all (Backup4all is not natively compatible with the device), you could use the command line parameters to create a command that can be associated to the One Touch Backup button of your device.

Syntax

Backup4all [[{/l|/f|/d|/i|/r|/e|/t|/c}] name | /g group | /otb] [/s]

Formatting legend

Italic - Information that must be supplied by the user

Bold - Elements that the user must type exactly as shown

/ - Switches are preceded by slash

[] - Elements between square brackets are optional

| - Vertical line separates possible choices

{} - Items between braces are a set of choices from which the user must choose only one

Valid parameter is an ".ini" file (with its full path), a ".bkc" file (with its full path) or the name of the backup job. The ".ini" or ".bkc" file must exist in the specified path, the backup job must be defined in Backup4all or otherwise the backup will not run.

Switches that apply to this parameter (case insensitive, preceded by "/" or "-"):

· /l - load the specified backup job, .ini file or .bkc file
· /f - force the execution of a full backup
· /d - force the execution of a differential backup
· /i - force the execution of an incremental backup
· /r - execute the backup with its defined type (this is the default behavior when the backup name is specified without switches)
· /e - erase the disc (FDD/CD/DVD) before backup
· /t - starts the test operation for the named job. Supports also an additional parameter [/TN 1,2,5..20|*|#] - if no TN is set then it will test all backup jobs same as using *; if # is used it will test only the last backup job (# can be used in the same time with other numbers too).
· /c - deletes the .bkc file and all zip files associated with the named backup job

If the backup job to be executed has the backup type set to Mirror, then a mirror backup will be performed and the "/f", "/d", "/i" switches will be ignored even if they are set.

You can also have as parameter an existing backup group. This group must be defined in Backup4all, otherwise the backup will not run. Switch to apply to this parameter (case insensitive, preceded by "/" or "-"):

· /g - execute the jobs in the backup group with their defined types (the switch is mandatory if you want to execute a backup group)

When called without parameters, but with the /otb switch, Backup4all executes the backup job or backup group specified in the OTB settings (from the Options->One Touch Backup page of Backup4all).

There is an extra switch, "/s". You can use it to start Backup4all minimized to the system tray. This switch can be used in combination with the other parameters and switches to run backup jobs or backup groups minimized to the system tray, or to load a specific backup job, while the application is still in minimized state.

Examples:

To force a full backup on the backup job associated with the IE Favorites.bkc located in the "E:\Backup Destination" folder, use:

Backup4all /f "E:\Backup Destination\IE Favorites.bkc"

To start Backup4all minimized and force an incremental backup on the My Documents backup job, use:

Backup4all /i "My Documents" /s

To execute all backup jobs from the Samples group, use:

Backup4all /g Samples

To execute the backup job or backup group associated with One Touch Backup, use:

Backup4all /otb

To execute a test for all backup numbers of the My Pictures backup job

Backup4all /t "My Pictures" /tn *

To execute a test for first two and last backup number of the My Pictures backup job

Backup4all /t "My Pictures" /tn 1,2,#

Backup job definitions (".ini" files) are saved separately for each Windows user. These files can be found in the "Application Data\Softland\Backup4all 3\IniFiles" folder of your user profile (if it's not changed in the Tools->Options->File locations window). Backup catalogs (".bkc" files) are saved locally and in the backup destination together with the backup archive. When a backup job is executed for the first time, a .bkc file is created. There is only one .bkc file for each backup job.

When valid parameters are provided with valid switches Backup4all will execute the commands.

Related Topics:

Command Line Application

Options - One Touch Backup


Command Line Application

B4aCmd (the command line application of Backup4all) is a small application that runs independently from the main application. It can be used to create batch files. Also if your One Touch Backup button device is not detected by Backup4all (Backup4all is not natively compatible with the device), you could use the command line parameters to create a command that can be associated to the One Touch Backup button of your device. When executed without any parameters it displays the usage information.

Syntax

B4aCmd [{/f|/d|/i|/r|/t|/c}] name | /g group | /otb

Formatting legend

Italic - Information that must be supplied by the user

Bold - Elements that the user must type exactly as shown

/ - Switches are preceded by slash

[] - Elements between square brackets are optional

| - Vertical line separates possible choices

{} - Items between braces are a set of choices from which the user must choose only one

Command line backup can have as parameters an ".ini" file (with its full path), a ".bkc" file (with its full path) or the name of the backup job. The ".ini" or ".bkc" file must exist in the specified path, the backup job must be defined in Backup4all or otherwise the backup will not run.

Switches that apply to this parameter (case insensitive, preceded by "/" or "-"):

· /f - force the execution of a full backup
· /d - force the execution of a differential backup
· /i - force the execution of an incremental backup
· /r - execute the backup with its defined type (this is the default behavior when the backup name is specified without switches)
· /e - erase the disc(Floppy/CD/DVD) before backup
· /t - starts the test operation for the named job. Supports also an additional parameter [/TN 1,2,5..20|*|#] - if no TN is set then it will test all backup jobs same as using *; if # is used it will test only the last backup job (# can be used in the same time with other numbers too).
· /c - deletes the .bkc file and all zip files associated with the named backup job

If the backup job to be executed has the backup type set to Mirror, then a mirror backup will be performed and the "/f", "/d", "/i" switches will be ignored even if they are set.

You can also have as parameter an existing backup group. This group must be defined in Backup4all, otherwise the backup will not run.

Switch to apply to this parameter (case insensitive, preceded by "/" or "-"):

· /g - execute the jobs in the backup group with their defined types (the switch is mandatory if you want to execute a backup group)

When called without parameters, but with the "/otb" switch, Backup4all executes the backup job or backup group specified in the OTB settings (from the Tools->Options->One Touch Backup page of Backup4all).

Examples

To force a full backup on the backup job associated with the IE Favorites.bkc located in the "E:\\Backup Destination" folder, use:

B4aCmd /f "E:\Backup Destination\IE Favorites.bkc"

To force an incremental backup on the My Documents backup job, use:

B4aCmd /i "My Documents"

To execute all backup jobs from the Samples group, use:

B4aCmd /g Samples

To execute the backup job or backup group associated with the One Touch Backup, use:

B4aCmd /otb

To execute a test for all backup numbers of the My Pictures backup job

B4aCmd /t "My Pictures" /tn *

To execute a test for first two and last backup number of the My Pictures backup job

B4aCmd /t "My Pictures" /tn 1,2,#

Backup job definitions (".ini" files) are saved separately for each Windows user. These files can be found in the "Application Data\Softland\Backup4all 3\IniFiles" folder of your user profile (if it's not changed in the Tools->Options->File locations window). Backup catalogs (".bkc" files) are saved locally and in the backup destination together with the backup archive. When a backup job is executed for the first time, a .bkc file is created. There is only one .bkc file for each backup job.

If the parameters are not valid you will be shown the start screen with an appropriate error message. When valid parameters are provided with valid switches B4aCmd will execute the commands. There is a progress meter showing the progress of the backup execution in percents. When the backup finishes and if you have the Test after backup option enabled, then the test operation starts with its own progress.

The command line application uses the same engine, same configuration files and the same log files as the main application. It always performs an unattended backup. You can use Backup4all's interface to define backup jobs and backup groups which can be used later as parameters for the command line application. You can create a shortcut to a backup job or to a backup group so you won't have to use complicated paths. To create a shortcut, use the Create Shortcut menu item from the Tools menu.

The same license is valid for the command line application as for the main application. Once the main application is licensed the command line application automatically recognizes the license.

Related Topics:

Command Line Parameters

Options - One Touch Backup


General

The General page of the Options window (accessible from the Tools, Options menu item) contains general settings of the program.

Options

Current User

If this is selected, the settings used in Backup4all (including backup jobs) are available only for the current logged in user. This way if there are 3 people using the same computer and each logging in through a different account, Backup4all will have different settings and jobs for each account. This can be selected upon installation too, in the Select Default Settings step. These settings are kept in a file whose location is customizable.

All Users

If this is selected, the settings used in Backup4all (including backup jobs) are available for all users on the computer where it's installed. This way if there are 3 people using the same computer and each logging in through a different account, Backup4all will have the same settings and jobs for each account (kind of like a shared profile). This can be selected upon installation too, in the Select Default Settings step. These settings are kept in a file whose location is customizable.

Appearance

Sort backup jobs alphabetically in a group

If checked the backup jobs are sorted alphabetically in each backup group. By default this option is not checked.

Show explorer icons

If checked a small icon is shown for each file in the Explore view. The icon is the standard icon associated with the type of the file. You will see the same icons as in Windows Explorer. If the Explore view contains a large number of files, you can uncheck this option to show files faster. By default this option is checked.

Hide empty folders on expand all

If checked the folders that do not show any file in the Explore view will be automatically hidden when pressing the Expand All button. By default this option is not checked.

Show context menu

If checked it will display the context menu when right clicking on a file or folder in the main window's Explore view or the Sources page of the Backup Properties and New Backup Wizard windows. By default this option is checked.

Show hidden files in open dialogs

If checked files marked as hidden will be displayed in Open dialogs. This is very useful if you want to add hidden files to your backup sources. By default this option is checked.

Background color

Change color

Press this button Change Color if you want change the background color of the main window's Backup List and the button list of the Backup Properties window.

Other

NTFS daylight saving correction

The Windows NT File System (NTFS) reports wrong file times after the clock changes according to daylight saving time rules. As a consequence, the program sees these files as changed and backs them up. When you check this option these files will not be reported as modified. By default this option is checked.

Show Task Scheduler error message

If checked Backup4all will show an error message when a scheduled backup has errors. This requires user intervention for the backup to continue. By default this option is checked.

Allow blank passwords when scheduling

If checked this option will enable usage of blank passwords in your Windows system and in Windows Task Scheduler.

Blank passwords are disabled in Windows by default as a security measure. Instead of enabling this option we recommend to set a password for each Windows user account. By default this option is not checked.

If you uncheck this option at a later time, you will be informed that for existing scheduled backups you'll need to provide an username/password in order to be able to run them.

Warn when insecure passwords are used

If checked Backup4all will display a warning window when you enter passwords for zip encryption that contain less than 8 characters.

Measurement unit

Auto

If checked the file sizes are shown like in Windows Explorer. By default this option is checked.

Custom

If checked you can see all file sizes in the same unit. You can set the desired unit from the drop down list. Possible choices are: Bytes, KB (kilobytes), MB (megabytes) or GB (gigabytes). Be advised that if you select GB as a unit, for files under 10MB the size will be shown as 0GB. By default this option is not checked.

Related Topics:

Options - Toolbar

Options - Startup

Options - File Locations

Options - Backup

Options - CD\DVD

Options - FTP

Options - One Touch Backup

Options - Email

Options - Logging

Options - Language


Toolbar

The Toolbar page of the Options window (accessible from the Tools, Options menu item) contains settings related to the display of the Toolbar menu.

Toolbar

Show toolbar button hint

If checked a hint will be displayed when hovering over a toolbar button with the mouse. By default this option is checked.

Show toolbar button captions

If checked the toolbar buttons will display their caption. Uncheck if you need more space in the main window. You can use the button hints in this case. By default this option is checked.

Align caption to the right

If checked the toolbar buttons will have their caption displayed on the right of the icons, if not they will be shown below the icons. This option is only valid if the Show toolbar button captions option is checked. By default this option is not checked.

Toolbar icon size

You can use this drop down list to select the size of the toolbar buttons. Possible choices are: Small, Medium and Large. By default this option is set to Small.

Related Topics:

Options - General

Options - Startup

Options - File Locations

Options - Backup

Options - CD\DVD

Options - FTP

Options - One Touch Backup

Options - Email

Options - Logging

Options - Language


Startup

The Startup page of the Options window (accessible from the Tools, Options menu item) contains startup related settings of the program.

Settings

Start at Windows startup

If checked the program is started when Windows starts using the window state set in the Visualization mode group. By default this option is not checked.

Show tray icon

If checked the program icon is displayed in the Taskbar Notification Area.

Minimize to tray - Check this option if you want to show Backup4all in the taskbar tray when the application is minimized. If unchecked, the application is minimized normally to the Windows taskbar. By default this option is not checked

Close to tray - Check this option if you want to show Backup4all in the taskbar tray even when you close it from the File->Exit menu or the title bar close button. If unchecked, Backup4all will terminate when you exit the application. By default this option is not checked

Show errors in tray - The error icon appears when the application is minimized to tray and a backup had errors. The error icon will blink over the default Backup4all tray icon. Uncheck this option if you do not want to see the error icon in the tray. By default this option is checked.

Visualization mode

Normal Startup - You can select the way Backup4all's main window will be displayed after a normal startup. The options are: Last window state, Normal and Maximized.

Windows Startup - You can select the way Backup4all's main window will be displayed after Windows starts. The options are: Last window state, Minimized, Normal and Maximized. This setting is available only if Start at Windows startup is checked.

Scheduled Startup - You can select the way Backup4all's main window will be displayed when a scheduled backup starts it. The options are: Last window state, Minimized, Normal and Maximized.

Related Topics:

Options - General

Options - Toolbar

Options - File Locations

Options - Backup

Options - CD\DVD

Options - FTP

Options - One Touch Backup

Options - Email

Options - Logging

Options - Language


File Locations

The File Locations page of the Options window (accessible from the Tools, Options menu item) contains general settings of the program.

Override Settings folder

This is the folder where the program's settings are kept. You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 3\" folder of your Window login account profile.

Override Initialization folder

This is the folder where the initialization files are saved. You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 3\IniFiles" folder of your Window login account profile.

Override Catalog folder

This is the folder where the cached catalog files ("*.bkc") are saved. You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 3\BkcFiles" folder of your Window login account profile.

Override Log folder

This is the folder where the log files are saved. You can use the Browse button to select an existing folder. You can change the folder, but the existing log files will not be copied to the new location (you can do this manually, if you wish). You can use the Browse button browse to select an existing folder. By default this option is set to the "Application Data\Softland\Backup4all 3\Logs" folder of your Window login account profile.

Override Default destination folder

This is the folder used as destination for the newly created backup jobs. The existing backup job destinations will not be affected if you change this option (you have to manually change the destination for them). You can use the Browse button browse to select an existing folder. By default this option is set to the "My Documents\MyBackup4all 3\" folder of your Window login account profile.

Override Temporary folder

This folder is used by the compression engine to handle compressed files (.zip). Only a full path is allowed. The recommendation is to set the temporary directory on the hard disk partition with the most free space available. You can use the Browse button browse to select an existing folder. By default the option is set to the operating system's temporary folder.

Related Topics:

Options - General

Options - Toolbar

Options - Startup

Options - Backup

Options - CD\DVD

Options - FTP

Options - One Touch Backup

Options - Email

Options - Logging

Options - Language


Backup

The Backup page of the Options window (accessible from the Tools, Options menu item) contains settings related to the backup operations.

When destination not ready

The options from this group only affect scheduled backups. The first number (Retry option) indicates how many times the application tries to access the destination location if it is not available. By default this option is set to 3 attempts. The second number (Wait option) indicates how many seconds to wait between two consecutive attempts to access the destination location. By default this option is set to 5 seconds.

Confirmations

Warn before completely erasing a disk - Check this option if you want to be warned each time Backup4all wants to completely erase a disk. By default this option is checked.

Show warnings dialog at the end of the backup - Check this option if you want to be notified if any warnings or errors appeared while performing the backup. You can always check for warnings and errors in the log file. The warning or error icon is shown over the backup job no matter if this option is checked or not. By default this option is checked.

Show success messages - Check this option if you want Backup4all to pop-up a success message when the backup or restore operation was executed with no errors or warnings. By default this option is not checked.

Ask for a new disk before backup - Check this option if you want to be asked to enter a new disk before backup execution starts. This way you can have different backup executions on different disks. By default this option is not checked.

Show disk label message after writing a disk - This option applies only when you back up to removable media and the backups are spanned to multiple disks. If this option is set, you will be asked to mark the disk with a label after each disk is completely written. The system suggests you the disk labels and will refer to each disk using its label (while restoring). By default this option is checked.

Show file warnings - If checked file warnings like access denied, locked files etc. are displayed to the user during backup execution. These warnings are also written to the log file. Scheduled backups do not show these warnings even when this option is set. By default this option is checked.

Warn before canceling the backup - If checked a confirmation message will be displayed when a backup is canceled before being completely executed. By default this option is checked.

Default compression filter

This default filter is applied to new backup jobs by default, to increase the compression performance. It defines what types of files to be stored uncompressed in the zip file. These are files that are already compressed (e.g. zip, rar, mp3 or avi) and using the zip compression on them wouldn't result in a smaller sized backup. This can also be modified individually from each backup job's Properties->Types->Advanced window in the Filters box.

Related Topics:

Options - General

Options - Toolbar

Options - Startup

Options - File Locations

Options - CD\DVD

Options - FTP

Options - One Touch Backup

Options - Email

Options - Logging

Options - Language


CD\DVD

The CD\DVD page of the Options window (accessible from the Tools, Options menu item) contains the settings of the CD or DVD burners.

Engine

Use primary burning engine - Selected by default. Backup4all uses an internal burning engine to write CD/DVDs. It has integrated two burning engines in case that one of them does not recognize your burner. If your CD/DVD burner is recognized and you have no problem at all backing up to CD/DVD then you don't have to change this option.

Use secondary burning engine - If you have problems backing up to CD/DVD or your burner is not recognized when using the primary burning engine, select this option to make Backup4all switch to the secondary integrated burning engine. Also, if you are making mirror backups, it is recommended to choose this secondary burning engine even if the burner is recognized when using primary burning engine (speeds up the backup process, but only for mirror backups).

· Burn CD/DVD using internal ASPI - If checked Backup4all will use its own, built in ASPI layer to burn CDs or DVDs. If not checked, it will use the ASPI layer from the system32 folder of Windows (WNASPI.dll). If you experience problems writing to CD/DVD and these were not solved when switching from the primary burning engine to the secondary one, you should check this option. By default this option is checked and it's available only when Use secondary burning engine is selected.
· External ASPI path - Usually the ASPI layer is located in C:\WINNT\system32\. If it's located in a different directory use the Browse browse option to select it.

Other

Load CD/DVD before backup - If checked, the CD or DVD media is loaded before the execution of a backup. This option is useful when the CD\DVD was previously ejected by another process.

Eject CD/DVD after backup - If checked, the CD or DVD media is ejected, but not reloaded after burning process is finished. By default this option is not checked.

Related Topics:

Options - General

Options - Toolbar

Options - Startup

Options - File Locations

Options - Backup

Options - FTP

Options - One Touch Backup

Options - Email

Options - Logging

Options - Language


FTP

The FTP page of the Options window (accessible from the Tools, Options menu item) contains FTP settings.

FTP

The Tools->Options->FTP window allows you to define FTP configurations that can be used on the Destination page in the New Backup Wizard or Backup Properties windows. You can add, edit, copy or delete an FTP connection using this window.

In order to add a new FTP connection press the Add button. The New FTP configuration name will appear in the list and you can enter the other settings for this connection.

Name

Here you can enter an arbitrary name for the connection.

Host name and port number

In this field you have to enter the name or IP address for the FTP server and a port number if different than the default FTP ports (20, 21). The format is host:port, e.g. ftp.Backup4all.com:1002

User name

If this is a private FTP server (no anonymous access allowed) you have to enter the user name for your account.

Password

In this field you can enter the password for the FTP server. There are FTP servers that allow anonymous access (public FTP servers). You can connect to these types of FTP servers using as user name Anonymous and your email address as password. It is not recommended to backup important files to public FTP servers.

Additional settings (like proxy access, SSL connection) can be configured by pressing the Advanced Settings button.

You can press the Test button to check if the FTP details you have entered are correct. If the test was successful, The FTP connection was tested successfully message will be displayed.

If you want to edit an FTP configuration, just select it and change the details in the fields below the FTP list window. The changes will be saved once you press the Ok button.

For easy handling, once you have an FTP configuration defined, you can select it and press the Copy button - a copy of the configuration will be created, the only difference from the original being the name.

To remove a configuration, select it and press the Delete button.

When destination server is not ready

The first number (Retry option) indicates how many times the application tries to access the destination server if it is not available. By default this option is set to 3 attempts. The second number (wait option) indicates how many seconds to wait between two consecutive attempts to access the destination location. By default this option is set to 5 seconds. This option is useful when the destination FTP server has restrictions (i.e. only 2 users logged in the same time, no. of accesses etc.) and insures that if the FTP server cannot accept your connection, it will not be "hammered" by sending log-in requests frequently.

Related Topics:

Options - General

Options - Toolbar

Options - Startup

Options - File Locations

Options - Backup

Options - CD\DVD

Options - One Touch Backup

Options - Email

Options - Logging

Options - Language


One Touch Backup

The One Touch Backup page of the Options window (accessible from the Tools, Options menu item) contains settings for the one touch button of some USB/FireWire devices. This is not supported by Windows 95 or Windows 98 (First Edition).

Some USB enclosures have a button to start the execution of an associated program. If you have such a device, you can configure Backup4all to execute a backup job or a backup group when this button is pressed. If your One Touch button device is not detected by Backup4all (Backup4all is not natively compatible with the device), you could use the command line parameters to create a command that can be associated to the One Touch button of your device.

Detect

Please connect your USB enclosure and make sure it is turned on and ready. Press the Detect button to check the compatibility with the One Touch Backup feature. If there is at least one compatible device, a message will be shown listing all the disk partitions (drives) on the devices. You will be informed if there are no compatible devices. In this case the Enable One Touch Backup support option will have no effect even if it is set.

Enable "One Touch Backup" support

Use this option to enable the One Touch Backup functionality. If the option is set, you can choose which backup job or backup group will be executed when the One Touch button of your USB device is pressed. Sometimes (when the backup job or the backup group is deleted or renamed) the target backup cannot be executed. In this case a dialog will be shown asking you to either create a new backup, select another backup or disable the One Touch Backup functionality. By default this option is not checked.

On "One Touch Backup"

You can control the behavior of the application when the One Touch button of your USB device is pressed. The application can: show nothing, show a tray popup or show the main window. By default this option is set to show nothing. If the show the main window option is selected, the Hide when finished option becomes available too (checked by default).

Related Topics:

Options - General

Options - Toolbar

Options - Startup

Options - File Locations

Options - Backup

Options - CD\DVD

Options - FTP

Options - Email

Options - Logging

Options - Language


Email

On the Email page of the Options window (accessible from the Tools, Options menu item) you can set configurations necessary to send emails.

Enable email notifications

If checked the email notifications are available in the backup jobs on the Advanced\Emails page in the backup job Properties or New Backup Wizard (accessible from the File menu). By default this option is not checked.

Dial-up connection

In this group you can set how the program should handle dial-up connections. The available options are: Do not start, Automatically start-up, Manually start-up.

Do not start

If selected email notifications are sent only if your computer is already connected to the Internet. If you have a connection but you are not connected the program will not dial for you.

Automatically start-up

If selected and you are not connected to the Internet, the program attempts to make the connection for you automatically.

Manually start-up

If selected and you are not connected to the Internet, the program asks you if it should connect. You can approve or deny the request.

Hang up when finished

If checked the dial-up connection will be closed after the notification email is sent.

SMTP server

Name/IP

Enter the DNS name or IP address of the SMTP server to be used to send emails (example: mail.yourdomain.com) This field is mandatory.

Port

Enter the port number to be used by the SMTP server to send the emails. The default value is 25.

Use SSL

If checked the Transport Layer Security (TLS) will be used for control channel and data channel connections to the SMTP server. By default this option is not checked.

Email addresses

From

Enter the sender's email address. If you enter a wrong email address, the email notification will not be sent. This field is mandatory.

Reply To

Optionally you can specify a different reply email address. If no value is entered the From email will be used.

Authentication

Server requires authentication

If checked the SMTP server uses authentication and you will need to supply a user name and a password. By default this option is not checked.

User name

Enter the user name to be used when authenticating on the SMTP server.

Password

Enter the password to be used when authenticating on the SMTP server.

Send Test Email

Press Send Test Email if you want to test the configuration you just entered. In the box that pops-up, enter the email address where you want to receive notifications and press OK. If all the settings are correct, a test email should arrive in your specified email account.

Related Topics:

Options - General

Options - Toolbar

Options - Startup

Options - File Locations

Options - Backup

Options - CD\DVD

Options - FTP

Options - One Touch Backup

Options - Logging

Options - Language


Logging

On the Logging page of the Options window (accessible from the Tools, Options menu item) you can set log levels and log folder sizes.

Log file

Log errors and warnings

This option is checked and it cannot be changed. The program will log all the errors and warnings raised during backup, restore and test operations.

Log detailed information

If checked the program will log detailed information about all files handled by the backup, restore or test process. By default this option is not checked.

Include summary in log

If checked the logs will contain all the text available in the main window's Summary view. By default this option is not checked.

Log folder

In this group you can set the size limits for the folder where the logs are stored. The path to the logs is set on the File Locations page of the Options window.

Unlimited size

If checked there are no limits other than free disk space for the log folder size. After a long period the program will generate a large number of log files, so you might want to clean up the log folder manually. By default this option is not checked.

Restricted to

If checked the log folder size is limited to the value set in the Size field below. If the log file of the running backup job is larger than the limit, it will still be stored in the log folder. When the same operation will run again, the previous log file will be deleted. By default this option is checked.

Size

The log folder size will be less or equal then this value. By default this option is set to 10.

Units

You can set the desired unit from the drop down list. Possible choices are: Bytes, KB (kilobytes), MB (megabytes) or GB (gigabytes). By default this option is set to MB.

Related Topics:

Options - General

Options - Toolbar

Options - Startup

Options - File Locations

Options - Backup

Options - CD\DVD

Options - FTP

Options - One Touch Backup

Options - Email

Options - Language


Language

 Top Previous

On the Language page of the Options window (accessible from the Tools, Options menu item) you can select the language of the program interface.

Language

You can change the language of the program's interface by choosing another one from the drop down list. Only the languages that were installed with the program are displayed. The language of the interface changes only after the Options window is closed choosing the OK button. The selected language is kept as long as you don't change it or it becomes invalid due to software updates.

The text box below the Language field shows details about the selected language (like translator name and contact information.

Related Topics:

Options - General

Options - Toolbar

Options - Startup

Options - File Locations

Options - Backup

Options - CD\DVD

Options - FTP

Options - One Touch Backup

Options - Email

Options - Logging